GNU bug report logs - #58767
telega makes emacs crash (under an EXWM session?)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Marco <purity.piped@HIDDEN>; Keywords: moreinfo; dated Mon, 24 Oct 2022 18:21:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 28 Oct 2022 08:21:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Oct 28 04:21:44 2022
Received: from localhost ([127.0.0.1]:60294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooKcZ-0007cL-OJ
	for submit <at> debbugs.gnu.org; Fri, 28 Oct 2022 04:21:44 -0400
Received: from w4.tutanota.de ([81.3.6.165]:41526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1ooKcK-0007bW-D8
 for 58767 <at> debbugs.gnu.org; Fri, 28 Oct 2022 04:21:29 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id 9EF4A106028B;
 Fri, 28 Oct 2022 08:21:22 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666945282; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=xFl5WjkckKRk5ilsQahCdjnVKezUdyIRfq6OJzp4wZk=;
 b=EyITZp/0G9D2CJdmXRaENhZFbeSrm959O6/SUbZsDwFBq+gk4Dz4ooDqVG75OO80
 yPKaCgtt9eXdsD+NonfASrxoCO+DtHkiKcB81GtajmUjSKC1wM955jULtOXV7ReWYVL
 Z7uneHLeKhGA7ytKgq2QhBig7aoNyl5opRUKHaDAopS3SSPHxtin+2fST9Z8rBz021z
 SYyamkN5xRCHErSsz7+OxIYvT4YylrkorBVD22wYyDXP/CBy2pRfmfl0fVHAF3Z45jB
 V7AghfoaUW9WHbJZy88PR4nXXaXzHacxpEEDcQqvaMVHR71pjev1bWZsaCoL6shc/un
 6TILemfnqQ==
Date: Fri, 28 Oct 2022 10:21:22 +0200 (CEST)
From: purity.piped@HIDDEN
To: Po Lu <luangruo@HIDDEN>
Message-ID: <NFSfayD--3-9@HIDDEN>
In-Reply-To: <87r0ys6agi.fsf@HIDDEN>
References: <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN>
 <NFFCO-Y--3-9@HIDDEN> <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN> <834jvpmmfb.fsf@HIDDEN> <NFOdWxw--3-9@HIDDEN>
 <83wn8ll11b.fsf@HIDDEN> <87r0ys6agi.fsf@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_46867_114236655.1666945282643"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: 58767 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_46867_114236655.1666945282643
Content-Type: multipart/alternative; 
	boundary="----=_Part_46868_876080981.1666945282643"

------=_Part_46868_876080981.1666945282643
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

attached to this mail it's the list of channels and groups I am in.
this time I'm not gonna mirror it, I hope you understand the privacy reasons behind it.
thanks a million!



Oct 28, 2022, 2:47 AM by luangruo@HIDDEN:

>> Telega requires installation of stuff that I don't have and cannot
>> install here, sorry.  So either someone could show a recipe to
>> reproduce this without telega, or someone who has telega installed
>> will need to debug the problem.  This kind of problems need careful
>> study of what exactly went wrong in the display code and why.
>>
>
> I do have it installed, but I can't reproduce the crash.  Being a client
> for an instant messenger, it displays a lot of user-specific content.
>
> So, purity.piped@HIDDEN, again, could you please send a list of the
> titles of the groups and channels that you have joined?  Or if you
> aren't comfortable with that, the list narrowed down to what makes Emacs
> crash?
>
> Thanks.
>


------=_Part_46868_876080981.1666945282643
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div>attached to this mail it's the list of channels and groups I am in.<br=
></div><div dir=3D"auto">this time I'm not gonna mirror it, I hope you unde=
rstand the privacy reasons behind it.<br></div><div dir=3D"auto">thanks a m=
illion!<br></div><div><br></div><div><br></div><div><br></div><div>Oct 28, =
2022, 2:47 AM by luangruo@HIDDEN:<br></div><blockquote class=3D"tutanota=
_quote" style=3D"border-left: 1px solid #93A3B8; padding-left: 10px; margin=
-left: 5px;"><blockquote><div>Telega requires installation of stuff that I =
don't have and cannot<br></div><div>install here, sorry.  So either someone=
 could show a recipe to<br></div><div>reproduce this without telega, or som=
eone who has telega installed<br></div><div>will need to debug the problem.=
  This kind of problems need careful<br></div><div>study of what exactly we=
nt wrong in the display code and why.<br></div></blockquote><div><br></div>=
<div>I do have it installed, but I can't reproduce the crash.  Being a clie=
nt<br></div><div>for an instant messenger, it displays a lot of user-specif=
ic content.<br></div><div><br></div><div>So, purity.piped@HIDDEN, again, c=
ould you please send a list of the<br></div><div>titles of the groups and c=
hannels that you have joined?  Or if you<br></div><div>aren't comfortable w=
ith that, the list narrowed down to what makes Emacs<br></div><div>crash?<b=
r></div><div><br></div><div>Thanks.<br></div></blockquote><div dir=3D"auto"=
><br></div>  </body>
</html>

------=_Part_46868_876080981.1666945282643--

------=_Part_46867_114236655.1666945282643
Content-Type: text/plain; charset=UTF-8; name=users.txt
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment; filename=users.txt

("https://t.me/cloudtalkstoomuch" "https://t.me/emacs_telega" "https://t.me=
/XenobladeItalia" "https://t.me/chozopedia" "https://t.me/gentoogram" "http=
s://t.me/nix_org" "https://t.me/gentooitalia" "https://t.me/termux24x7" "ht=
tps://t.me/debianitalia" "https://t.me/nixos_en" "https://t.me/artixlinux" =
"https://t.me/Curtainos" "https://t.me/AuroraOT" "https://t.me/alpine_linux=
_english" "https://t.me/linuxworldbot" "https://t.me/agoristcentral" "https=
://t.me/emaccs" "https://t.me/androidacy_discussions" "https://t.me/Videoga=
mesBirthdays" "https://t.me/xmonadtelegramunofficial" "https://t.me/suckles=
scode" "https://t.me/GmailBot" "https://t.me/tarcisio321" "https://t.me/eau=
derosenocturne" "https://t.me/radare" "https://t.me/waylanden" "https://t.m=
e/MissRose_bot" "https://t.me/openbsd" "https://t.me/EmporioAlessandrino" "=
https://t.me/cloudoilhouse" "https://t.me/Tokugram" "https://t.me/eternalcl=
assic" "https://t.me/Lineageos_group" "https://t.me/svarioken" "https://t.m=
e/guildtavern" "https://t.me/BlokadaOT" "https://t.me/informazioneautomatic=
a" "https://t.me/programmerjokes" "https://t.me/WayDroid" "https://t.me/ema=
cs_en" "https://t.me/samsunga50dev" "https://t.me/thinkpaditalia" "https://=
t.me/pinetime" "https://t.me/temporarilyfreegames" "https://t.me/linuxgram"=
 "https://t.me/swaywm" "https://t.me/gentoolinux_help" "https://t.me/pineti=
me_dev" "https://t.me/gnu_guix_en" "https://t.me/zshell" "https://t.me/hask=
ell_ita" "https://t.me/informaticaot" "https://t.me/btrfs_chat" "https://t.=
me/PINE64_News" "https://t.me/telegram" "https://t.me/traccballs" "https://=
t.me/ataraxialinux" "https://t.me/Artixita" "https://t.me/CodeScanBot" "htt=
ps://t.me/voicybot" "https://t.me/snakeOS_5" "https://t.me/voiplockersbot" =
"https://t.me/NekogramX" "https://t.me/Shrug_Bot" "https://t.me/DuckDuckGoS=
earcherBot" "https://t.me/ribot" "https://t.me/wiki" "https://t.me/plan9spa=
cebunny" "https://t.me/hylang" "https://t.me/Stickers" "https://t.me/DALLEm=
iniBot" "https://t.me/MifareToolsBot" "https://t.me/janetsrandomoutofcontex=
tquotes" "https://t.me/GroupHelpBot" "https://t.me/spoilerobot" "https://t.=
me/TTSBot" "https://t.me/TextTSBot" "https://t.me/soyware" "https://t.me/ul=
timoranewsbot" "https://t.me/budrillobot" "https://t.me/nnbbot" "https://t.=
me/archewikibot" "https://t.me/Pine64" "https://t.me/hugfest" "https://t.me=
/affarometro" "https://t.me/metacommunism" "https://t.me/gentoo_offtopic" "=
https://t.me/linuxgramgroup" "https://t.me/tfg_chat" "https://t.me/AuroraSu=
pport" "https://t.me/blokadachat" "https://t.me/AuroraDroid" "https://t.me/=
roryruu" "https://t.me/reverseengineeringz" "https://t.me/snakeOSback" "htt=
ps://t.me/FumazRepository" "https://t.me/fuzzymemes" "https://t.me/DistantF=
igures" "https://t.me/DistantFiguresChat")

------=_Part_46867_114236655.1666945282643--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 28 Oct 2022 00:47:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 20:47:33 2022
Received: from localhost ([127.0.0.1]:59760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ooDX3-0002PE-1l
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 20:47:33 -0400
Received: from sonic314-21.consmr.mail.ne1.yahoo.com ([66.163.189.147]:33572)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1ooDWy-0002Oz-FQ
 for 58767 <at> debbugs.gnu.org; Thu, 27 Oct 2022 20:47:31 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666918041; bh=vYMUXYogvMdeyl1voEYBKV2hUMRE9s+oCZD2+RBVEyA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=Qqtw5Nkrm2vqJfnHHyA7ZRdpTJditvcFyNkeEmjEl7IGaWH0RGYphxvnshh+M5ujIIOnZMn18a+BFkEVhYZBRuTKrL7fEdoJc7gMnLpUuB3WNrVafu/QczD9k31aKDE2Xto1NhAjwHmAA2hbTrRZdIiyMW1XgCsXzIbTuje80FpLO4g9WQEnvQp+gaJgR9Bagr0GNj2o8eCEZlyGmASfYeuZpc+Kj3nMryi/VfBvO2REX+UnHDLQvmgOSbgnGZ5KzCHV3G65d/rKRaZYJWmzZQbJ+UCGJgv6vUjdiZ0VQLalEue7q1n+4bQ0VmiRirHmS2vRANvIw53eB9q/5D7isQ==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666918041; bh=qUTJ9PBeCGd/mxu6YQGe2mPY1QYvz1Oq4ATCdRbF5g2=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=kx/YIrmB6Mysfzdvuhgle08ht5zkkcilg/fvvO1bDPjVDPwLv6AnZByCxzxUXH8rI9J7WR4hj6GLEqZZkBULdbFWeW/IRXp3sM6WVfPopxQKaWAKjKs79ZAXFibiKDkG82N7L2WesH21TqZboQaCa6sZlh9gsR7gv/TUn9+qrCdVSHXQ5h6ijB38Y/9BILpxEzcgjPpDkXYP8pqMhj3pS39qT7x5sKeLAQAJNEWFCOUzGWHoyCMGbobvybNl6LPvw+tXighwcmIityyFpnz/s1vtTgrfPnCo37aI3rXBO4A9FoQCbYBI4jLLlS/K6OeeKtMVhV8Wvp9MSUYFaIasIQ==
X-YMail-OSG: 7nn.jZIVM1mMy2vNbqSQgMi9ZREbtu1H3rtaiRVqpEimbmH3gMuFZV6AXhw9lZI
 amGjCAG6.dZookoJ6aVvO_JEkHX0T7hNMIh3FYNllBUKVC7C0xJjY5KGFxDQPbcLQ0yjWH2bS6Rl
 Iv_oivJwpCZHbOGkqPecmYYi9gfscteL4uJZ9AA9vLc5jRW_m0vFN_jfaebN4CU5EXCD5HZb3jYz
 LWPSmiLjG6IcoRD7G.XBaW2PchvJuVwwGFHGGFu.ANAlbG44cGV_nhcXQHebkvdkbTxi5RBoPVt6
 Vib9Mz11huJJz_GDU7gOEkCg4SAl57BPwlqlOf59Ca6oHFANn.UTYLIE72VS9kgBW9ZU5qzCJFdw
 3Nn2yYFJNlkvA3QDfao6OupcehSl3p5LsBNYMKVB1_pLRnjsHJVae.jF7fjTqHLNc9DWChzHgYfj
 l5BDZGMKCZfz1G0MxjB0iiZaNm5eRFODSKl.WW9PJQFkcBPKptHjLXO8718Q48s3h97a7sJl8Xua
 1ANbOwB41mjrFQ3HQiaQMNvyVsPRoajIIgudQGq9ChQiT7Kp73uHxid_OGMrTnCRzS4Gr_fdmNW1
 jQp2Db.d.SMoKu5GukyDl7zWanLjgrKCu1w17Tepvf.yDVADWRDFzgqTB8P5Prn2g4n3LgjMVR82
 nqWl9S4OE6HskDUmMyCPgcQ0HWTHs3sDx7PncV.08ppEIlJoIUHIiRNgpQgojaCK_2DzPuRtDxXM
 3YbF3mYDA_wDUKTMxFtoTfMF.YACog3anUDvqUUcZWPLmywbDZtJPdvpSQKO6ZQzNgQ4lk5gOFlt
 EBAzAuLH.aEabZd_A8SOcRSmjL8iKQhNKGMUORcPB6x9xkutqLvCO.LVdgojqDaPZiN_R72gmH78
 NaBXtzjNDIo4mgE4G0xBz7Ltb07xHO9vPy2oT2vMEEIM1cJQzwivFEdppwWjl6PWVzaLm514rf8s
 JBV_5boTQBORbuwPeHW5kCaol6TVe3h5TTH.rZR5u8CBZzktOaujdzd6fcgXHFNgStafG4BbLaMU
 yaKhjdBcJPDjU5M5ZjXOfcr8wZm3fuwzq64JWeWydxccOPQqqzEHkmemGKlhmV8reT.Mdc3Hb6jT
 fSUOHMsp0Tpw7A5qmB97pb2b4vSg7tSPHAPnn9Bkhj.TOIztUAH5tnuR50T6yMtuMJNSWTPy9ypQ
 iqQZjA5hdiiArqT.HbmMO.5MfxRahgPhYHNgEBfG2WWwcXeAglxz5Z.Ckd_VT4PlsN1cuX_LF02x
 AR3mljl3UjFaZsdHD79rtQj8PXXg96lBnFTwc0MlEIwKeN6_m1wqb6cLihXTGuUggIoen0Ky.OkP
 b6AXG85vzlwrAiQIbpzWInAhVgBgS5CrcnbARxnhK.3oKnKQTfeC3kVAOz4PBVcFm2crtl8vZja4
 UEJb7AGK4AI2.fnJEPMVOd1b2RR6etvzdBd9nZvH09n0.UL5X7EzWcYuVeh8dczTZutMOMzfw4nM
 YfW2Y7THxLGyYHkKxn22tWJdMGMgIc.j66jWdTZLtJjBPpPUBsiYxYkiGuKNFFSsvFmjVq.xy4PK
 gVQTPkYKd9Ae4Ibz0OVCXnkKAaDo0s_.H1dbbeL8Pcl.5CkhU5wq8ceQk9o4fgUR63S7To5.ei91
 HFvotBnTyj3sFshbHiVetBf9IvP_qUxaVYWieRWcxJ.k0LkX7AB76_VnRULJJVaxlQQ0HZSZwTUY
 cuE87FMqUZNWfxOJ.8n8HAAJ8iCHn5SUIvYzdN6dhwiMXqJdIbU.Zwi1Ogt0lAJ2bDEtz9OHgcak
 L3DXA17QQJtHEJI75hI.QxPNNSptWipi5EXEOniMJDMBLhJSycqe2MyHQta0KaWjEP1aT22NVn7R
 rZO.J49J6j6lcAzNc7HNDNu23NNONRfT6cdssWZ7h8oiwy_pWUkX28dQUMRxRn3bywinmQ7pwQoY
 IUzhBVU2dhmb8QQdtp9ErPxymAydCuUfbLoUioPCO1EhWRrKROZWdBgSV9H4UQNQDRjbaCMDE5LV
 aTkGnoscfU6G_0kmNW0B8kGC9.mEndHNkvfCU5ThpQBSPG2VCtKxFeKcaXW3r.HZatG1SOM8fxmp
 vtdz4pSyKRmzmptgcPJj3ZTMXnRZv.9XFPcQ1N2nFr_4I.e4BUzBc5WwjSPV31zxcJO7bS9_bhBs
 fyviFE2tGzOa5I_pwz_iWuh_0YSfAxqqimIsrzmSQZmqb6pxBH4sATFwYIlgWOr6iUyk1uz26v4Z
 SawC3Hktphc0tWZAHS576z27jPJVuVLxlZvVeNJjOTnb_sGV6w7riCshnQup3vROprIrc
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic314.consmr.mail.ne1.yahoo.com with HTTP; Fri, 28 Oct 2022 00:47:21 +0000
Received: by hermes--production-sg3-74fb94585-7d79w (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID d748f33ad74f3819ad71383f350f0206; 
 Fri, 28 Oct 2022 00:47:16 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
In-Reply-To: <83wn8ll11b.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 27 Oct
 2022 18:49:20 +0300")
References: <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN>
 <NFE2CZK--3-9@HIDDEN> <83wn8onk2d.fsf@HIDDEN>
 <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
 <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN> <834jvpmmfb.fsf@HIDDEN> <NFOdWxw--3-9@HIDDEN>
 <83wn8ll11b.fsf@HIDDEN>
Date: Fri, 28 Oct 2022 08:47:09 +0800
Message-ID: <87r0ys6agi.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20783
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 708
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: 58767 <at> debbugs.gnu.org, stefankangas@HIDDEN, purity.piped@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


> Telega requires installation of stuff that I don't have and cannot
> install here, sorry.  So either someone could show a recipe to
> reproduce this without telega, or someone who has telega installed
> will need to debug the problem.  This kind of problems need careful
> study of what exactly went wrong in the display code and why.

I do have it installed, but I can't reproduce the crash.  Being a client
for an instant messenger, it displays a lot of user-specific content.

So, purity.piped@HIDDEN, again, could you please send a list of the
titles of the groups and channels that you have joined?  Or if you
aren't comfortable with that, the list narrowed down to what makes Emacs
crash?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.
Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <help-debbugs@HIDDEN> to internal_control <at> debbugs.gnu.org. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 27 Oct 2022 15:49:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 11:49:44 2022
Received: from localhost ([127.0.0.1]:59022 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo58X-00075D-R4
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:49:44 -0400
Received: from eggs.gnu.org ([209.51.188.92]:40628)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oo58S-00074r-1b
 for 58767 <at> debbugs.gnu.org; Thu, 27 Oct 2022 11:49:40 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo58M-0001fg-EB; Thu, 27 Oct 2022 11:49:30 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=9iK0IO87XZV0+fa0932fM6ga4f+JNFb3XGFdTNVa2Cc=; b=m0aDsWpAuMf/
 skhngHmARXeSlpBOI6QVSfy0nzmfBvEg3CM2tr4UULOW82rvCYukYka01vdOaaOneGUVInmRZeSkD
 XLcN4g5nyM1OAAzqZ5anuFcmSd9J1PJ7c4rXrmKsuBLSRFl2JUgUG0Raiw5pv5Hd8Pj8I7jk00xD3
 IEWwk8BBGn9HkTUABOVrlnTkk4RMxbMPgI9BOFOF3Rhu17Fpt/OMN/WUqNEL9fhOdoQ/XWT8HuUao
 igac5d6mS+Tla6jXJzanAeejKS433rPhO2TkrZG2K40o1Fk3Pr07Ohiy2hJMsy0AiJcEALuZH6ezY
 Nyar9NxDEtNyO+2OfP1rPw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo58K-0006yC-7B; Thu, 27 Oct 2022 11:49:29 -0400
Date: Thu, 27 Oct 2022 18:49:20 +0300
Message-Id: <83wn8ll11b.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: purity.piped@HIDDEN
In-Reply-To: <NFOdWxw--3-9@HIDDEN> (purity.piped@HIDDEN)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN>
 <NFE2CZK--3-9@HIDDEN> <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN>
 <NFFCO-Y--3-9@HIDDEN> <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN> <834jvpmmfb.fsf@HIDDEN> <NFOdWxw--3-9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 27 Oct 2022 15:33:48 +0200 (CEST)
> From: purity.piped@HIDDEN
> Cc: stefankangas@HIDDEN, luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
> 
> Yes, this is happening on emacs 29.

OK, so we'll have to keep this bug open.

> what I did was the following:
> git clone git://git.savannah.gnu.org/emacs.git emacs-debug
> cd emacs-debug
> ./autogen.sh
> ./configure CFLAGS="-O0 -g3" && make -j5 CFLAGS="-O0 -g3"
> make install PREFIX=/usr/local.
> rm -rvf ~/.config/emacs && git clone --depth=1 https://github.com/doomemacs/doomemacs ~/.config/emacs
> && ~/.config/emacs/bin/doom install && ~/.config/emacs/bin/doom sync
> note: ~/.config/ because I've set $EMACSDIR.
> this is what I did in a nutshell. if you need to reproduce what I did even more you can have my configuration
> for doom emacs; put it in $DOOMDIR (defaults to ~/.doom.d)
> https://termbin.com/hgkv
> https://termbin.com/jr3gm

Telega requires installation of stuff that I don't have and cannot
install here, sorry.  So either someone could show a recipe to
reproduce this without telega, or someone who has telega installed
will need to debug the problem.  This kind of problems need careful
study of what exactly went wrong in the display code and why.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767-done <at> debbugs.gnu.org:


Received: (at 58767-done) by debbugs.gnu.org; 27 Oct 2022 13:35:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 09:35:19 2022
Received: from localhost ([127.0.0.1]:56506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo32U-0002rM-Rl
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:35:19 -0400
Received: from sonic312-23.consmr.mail.ne1.yahoo.com ([66.163.191.204]:44014)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1oo32T-0002r6-VS
 for 58767-done <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:35:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666877712; bh=8TBBZSwPTZA0AdlSM6BiTtrJhDFHQJipA8yIGWgf+SA=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=KGhqpcJOoM9pSBaVgZJKAgB83yEO1UGIADgW2bnxv3SnNIQh+S5jkUtBdviq25LVkGuI9NVkHLaTGZUpakyW1K/kbKsGLB8Uq/6o+xNom8nvN7fne4zXp/CSRAfJvXBF0OsIVx58jnuuo+ItCAPokSkYjihiwjbJjVYakbT9WDKTccdv7u2c7agw2gaKHMESvD0KQjo5WywYJDBZ4u3zg20LE1aKmhY0hICBXp2wfobtshewvWAirAgiH00jgSFdgdWNosQshUM1Z5ZtqMRwbGs6PX3UnXutPPTy5MW9WDiB6IdHxuRVKFglFDAmcvv2p57iMi6rvzUXZ2rYmBO+0w==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666877712; bh=0Lqucb/PALDrFvpKfoTxON+17oh1ukgy9/Pqia9+nzW=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=eN5FI4u9/qcHvGTKDiudVRJ2cqbSGTi4kMktbvKtF1zHTFJICN4/7dGPoWTebndv8f051Bq9emX8ZC2yqi/LmVLjnuRoOf+mUCzKsDGjp7QNxsiYOZAX3V/nvXdJRZXAHARO8ZHll14jmqSeVir41ougDpK7e3RoTtvNBTlS37sIIDb7uQxBd9lW6fqfhXtaleCnkzYvoBOIcXb/WBMYRVC7geGGSz2Ftuz7qUmTewB6fRE4OHTBh/vocW7ljzoeSinDZJzWwt+T6JEK5WjG4+tLflPtFswWtfR8SGuLQKsFLmQ/yTUtsaToqMyUdMNtZS4fcF3diLjEcvHd/Ck/1A==
X-YMail-OSG: 6X3oKJEVM1kDx5Vp14Wc462TUrhstlN0rTdy62PdH7sDsQ3IYXjsV2Q5Cn.K_u.
 XmOgJ_lLkpK4MHWY2logzVknswPT172iTaaxtYaqBteFGPOVdePQ52GvQKFPhb3byNgpocrszlMM
 YyB5yjJTDCtPrDP8PhQn1oVzjErWPD5yn8w2Qb3iiKNeI16a23ghi840zOwKln9XP0lCuz5sloEY
 uJy66FVG3rHrFMImym8k8NUG4Sscd6GyLuY8lIIkAwHvARrqIgVIqtIWzY7YZs7D2uz2bXjhLi1G
 HRTiJ2.knpWw3wW8sjAaDbJl5T45qWOHOS4A0PDFfNw4SqTPesun8uYlSz__5JNcZpfq9I90QtSB
 92.Feg0bIVrasHWQA_o8Jp2okdlNsWBSQvwe5nOYfqs_MFY6kl959iizoMqRJO6M4zdRk_pIVbCY
 NyABt48qOS4zGOz0J5vzoBkmjQJesfqc8Ikz2oUXV0kTgCaYq8bDMSbyyoDm2sVYeDcj6d0hj3CE
 p8XnBLTSfEKIOE.zkqSKia_MqLC6HZ2PA1yAzjftkdMiwaaGmvFTi5FoAWIQVjjIob_becH6Nm3P
 MyZd9jkjsdx5ILqGwjmiCWUlBsZyW8QU.oX_mfqr8Szfjkq8kVZd_OCxONGtis3np6ZHrvVK34.D
 GA3JfZ.apkE2x.px8wP9_FpBMxEdgBoqjjrG_ObHrfPAWq53khqU4r58Z1O1.P7YnNrgUKhOTIEx
 n24iCel4QPuCdyNTMiCmG2BX7OnrJiNQWBs.9YMit0KYD0koI_BNao.7Hp0g8g3USIuYWtKgJ12O
 VnOIL_U2AtGvdRtxq..wxCvzCe1ifOKiznTnPINlx97ZZ0k1xMurPn4VXjuVZfGZleAQE1EIQAmm
 JmcEoxGjxrP5omMHTwxYkGjk9.ShlAl5UCwGLHxPSt6xC.XSgLQAR7yHCRJoXx5ornMtsoHjykH.
 U9tAG1axoBGBoh0EmybUpr4Nofm1Fwev7BTcOq1wwZnf5o6vIhUJtCLx_6M8aqgBBpuiC.XipYdp
 fyKjpw9_38Xo5YJlduO566bUkyNX9Ryrp86Xenp0R2m3wf.VaGRkUpKmfL0qBfexYQ6UoADTQRlg
 HD0Y7sif.kGpnc7cg.yYmEZxgQfTqnS948X4waywZMRP9z.Q.VwD9PyGruF.yWsd8J_i9lrdGvFZ
 3K0YnE10uC6nfbd7xTrcsjIK.X94QD8PS8.biYU5k6RGdtI1MLAapZXjwR0ce_Ddj5B_w.8WsCI0
 DhfGNcxM5pB9zKmolmEpKxOAg.1hdAlcz4EQecmuyuZb36CjvXEMwfiyz1a.Q.wAlzFZzf00mC0g
 jWW08lDQKtru1aYlt9UFRhO2B_edIqlG54i8HN9Tbwc5YexRG1aOC344YSoEUAyrEoFZetSg.L31
 TkjlKq.1MMh5XO.jZxAreemH0svGHpxmWewtlCcRl9N77YRu4HRncMP2pjeQzYVtf7SII77Ot3fs
 FeMv7c5zq6GezrKam4uH90cOkzHvIklcvEIx8oc.9beFjygNJnCJJ5Z28ZGB5gKPMBt6ifEJDQuU
 Jx6Hp4.7D8RZFhX4EEHnqhCdY8E6EY6tK2CP1kkUu97X9tO3YkN9I6baBZKSK_QE6EAXsTcBtOOq
 2fU9w9DdT3QPw1EocMsUWjX4.vC7bkxYE4A3t.XHL_qHriCoTemoqi8CFSiZd3VNdyQNo5VZQK_R
 PXI5th1Zh0mgUWT_z4NlUNIG0QyuvkMvVPl.wLx6NYQ17gUFPNZV03DhHuOiuakRDpbstGH0UUXN
 DaqlRYsviQwpHW9e7VFBhulJeuUJ.0vydld3j3bz0haRQcSCVHa_mvodg_DAQS_CvvGhDkXAqISl
 XydvSsmaMJH.IdzP6V_NUOeDqSi1kWF4GQCt5qrjV6WP5cD.nD9CgZOBODuNBFnjRKQHxSJAo5kN
 jgYbPDIMRnDfY5AcncO4J7W3.LQmSiO7qLoXCXz8fiUWAQKF989KZGDX.w779Se_8lLaRlSMDd8F
 lbJTpk9JQpZYvPstFhNoTs2KAs09oVEDn6kwr8dT9APY9j0HWS3rALU6AlaSf66YJQOpSIUGCW2l
 6X5VXpc0hzL81WbM.f1mvGZfIcD7lrIfpA0P_Np49fydA._XNca.Mw.FhsL093r6v3x_1Rde8X75
 T5_zTHkxNXMY6k9cwU33AuSXaM56RcIJItc.Xm58J2J5_E0liuQQFfqqt2WOsZAb_WXrD78icrqi
 0oTKQ5Ynzyjf4WmTTtxaAPaWAy2NmpRA4W0Eig5f7rOksXRZHVjer0eiapcJ8MdMg7wY-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Thu, 27 Oct 2022 13:35:12 +0000
Received: by hermes--production-sg3-74fb94585-qwwf8 (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID d3c35336929c70da6cc86961c23207ca; 
 Thu, 27 Oct 2022 13:35:09 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: purity.piped@HIDDEN
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
In-Reply-To: <NFNttN6--3-9@HIDDEN> (purity piped's message of "Thu, 27 Oct
 2022 12:05:41 +0200 (CEST)")
References: <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN>
 <NFE2CZK--3-9@HIDDEN> <83wn8onk2d.fsf@HIDDEN>
 <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
 <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN>
Date: Thu, 27 Oct 2022 21:35:02 +0800
Message-ID: <87a65h75kp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20783
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 653
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58767-done
Cc: 58767-done <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Stefan Kangas <stefankangas@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

purity.piped@HIDDEN writes:

> greetings.
> well, I'm sorry to have to open the bug again, but it's happening again.
> usual deal, log attached and mirrored. 
> to be noted: I was testing if this was an EXWM thing, but it is not, although it's strange:
> I started emacs, m-x telega, all good. C-x C-c, fired emacs once again, started telega, crash. I have recompiled emacs with the appropriate
> CFLAGS, hope this time I did it right. 
> I apologize if I did not.
> thanks a million.
> best regards.
> https://termbin.com/n54s

You could send a list of the names of each group and channel you have
joined - I suspect one of them is causing the crash.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 27 Oct 2022 13:33:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 09:33:58 2022
Received: from localhost ([127.0.0.1]:56501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo31B-0002oi-5A
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:33:58 -0400
Received: from w4.tutanota.de ([81.3.6.165]:60310)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1oo318-0002oO-5D
 for 58767 <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:33:55 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id 7AE5E1060155;
 Thu, 27 Oct 2022 13:33:48 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666877628; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=K/9OgK98A2xaVxIWeUAJzQyCKobmJW6vZbCMVQ9rRV8=;
 b=vCceTuEYij1JIXbaxFRskHHoFyj01S0g6TJvpHpEgaTTiokZLg5ZBj77HQPU+H+R
 b2Z+FDDC8YICBMdzcbIjRxhLgIB3YKCD2D/agLaDbRSNHZ2kS2+4S7W7jvK1vouM7Z1
 2MW5pF1sZL+/rMMBWeBdum4Bq3RVN00OGVb2ol9Y5L5kIUsfDRYUESlpInDqRwUMIPN
 TFzIdjEc73lfvGyusy5y1AZkLTNvlTK1XaQ6juwvcacfSYM7NRTo5igTXCs4KihPu7k
 L8ZATzw24ZeR75Ch+OAjkjOovOxYkjdfKh4ilqvT5WwbT3268nfZn8mmOsE19jZg05s
 2g4uzGxEKQ==
Date: Thu, 27 Oct 2022 15:33:48 +0200 (CEST)
From: purity.piped@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NFOdWxw--3-9@HIDDEN>
In-Reply-To: <834jvpmmfb.fsf@HIDDEN>
References: <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN>
 <NFE2CZK--3-9@HIDDEN> <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN>
 <NFFCO-Y--3-9@HIDDEN> <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN> <834jvpmmfb.fsf@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_111459_1203530014.1666877628496"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_111459_1203530014.1666877628496
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

Yes, this is happening on emacs 29.
what I did was the following:
git clone git://git.savannah.gnu.org/emacs.git <http://git.savannah.gnu.org/emacs.git> emacs-debug
cd emacs-debug
./autogen.sh
./configure CFLAGS="-O0 -g3" && make -j5 CFLAGS="-O0 -g3"
make install PREFIX=/usr/local.
rm -rvf ~/.config/emacs && git clone --depth=1 https://github.com/doomemacs/doomemacs ~/.config/emacs && ~/.config/emacs/bin/doom install && ~/.config/emacs/bin/doom sync
note: ~/.config/ because I've set $EMACSDIR.
this is what I did in a nutshell. if you need to reproduce what I did even more you can have my configuration for doom emacs; put it in $DOOMDIR (defaults to ~/.doom.d)
https://termbin.com/hgkv
https://termbin.com/jr3gm

sorry if they're messy but i'm working on those.
Thanks a million.

Oct 27, 2022, 3:22 PM by eliz@HIDDEN:

>> Date: Thu, 27 Oct 2022 12:05:41 +0200 (CEST)
>> From: purity.piped@HIDDEN
>> Cc: Eli Zaretskii <eliz@HIDDEN>, luangruo@HIDDEN,
>>  58767-done <at> debbugs.gnu.org
>>
>> well, I'm sorry to have to open the bug again, but it's happening again.
>>
>
> With Emacs 29?
>
>> usual deal, log attached and mirrored. 
>> to be noted: I was testing if this was an EXWM thing, but it is not, although it's strange:
>> I started emacs, m-x telega, all good. C-x C-c, fired emacs once again, started telega, crash. I have
>> recompiled emacs with the appropriate CFLAGS, hope this time I did it right.
>>
>
> Thanks, but if this is Emacs 29, I need a reproduction recipe to run
> on my machine.  I cannot debug this without being able to reproduce it
> here.  Sorry.
>


------=_Part_111459_1203530014.1666877628496
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div>Yes, this is happening on emacs 29.<br></div><div dir=3D"auto">what I =
did was the following:<br></div><div dir=3D"auto"><span class=3D"font" styl=
e=3D"font-family: monospace, sans-serif;">git clone git://</span><a href=3D=
"http://git.savannah.gnu.org/emacs.git"><span class=3D"font" style=3D"font-=
family: monospace, sans-serif;">git.savannah.gnu.org/emacs.git</span></a><s=
pan class=3D"font" style=3D"font-family: monospace, sans-serif;"> emacs-deb=
ug</span><span class=3D"font" style=3D"font-family: monospace, sans-serif;"=
><br></span></div><div dir=3D"auto"><span class=3D"font" style=3D"font-fami=
ly: monospace, sans-serif;">cd emacs-debug</span><span class=3D"font" style=
=3D"font-family: monospace, sans-serif;"><br></span></div><div dir=3D"auto"=
><span class=3D"font" style=3D"font-family: monospace, sans-serif;">./autog=
en.sh</span><span class=3D"font" style=3D"font-family: monospace, sans-seri=
f;"><br></span></div><div dir=3D"auto"><span class=3D"font" style=3D"font-f=
amily: monospace, sans-serif;">./configure CFLAGS=3D"-O0 -g3" &amp;&amp; ma=
ke -j5 CFLAGS=3D"-O0 -g3"</span><span class=3D"font" style=3D"font-family: =
monospace, sans-serif;"><br></span></div><div dir=3D"auto"><span class=3D"f=
ont" style=3D"font-family: monospace, sans-serif;">make install PREFIX=3D/u=
sr/local.</span><span class=3D"font" style=3D"font-family: monospace, sans-=
serif;"><br></span></div><div dir=3D"auto"><span class=3D"font" style=3D"fo=
nt-family: monospace, sans-serif;">rm -rvf ~/.config/emacs &amp;&amp; git c=
lone --depth=3D1 </span><a href=3D"https://github.com/doomemacs/doomemacs">=
<span class=3D"font" style=3D"font-family: monospace, sans-serif;">https://=
github.com/doomemacs/doomemacs</span></a><span class=3D"font" style=3D"font=
-family: monospace, sans-serif;"> ~/.config/emacs &amp;&amp; ~/.config/emac=
s/bin/doom install &amp;&amp; ~/.config/emacs/bin/doom sync</span><br></div=
><div dir=3D"auto">note: ~/.config/ because I've set $EMACSDIR.<br></div><d=
iv dir=3D"auto">this is what I did in a nutshell. if you need to reproduce =
what I did even more you can have my configuration for doom emacs; put it i=
n $DOOMDIR (defaults to ~/.doom.d)<br></div><div dir=3D"auto"><a href=3D"ht=
tps://termbin.com/hgkv">https://termbin.com/hgkv</a><br></div><div dir=3D"a=
uto"><a href=3D"https://termbin.com/jr3gm">https://termbin.com/jr3gm</a><br=
></div><div dir=3D"auto"><br></div><div dir=3D"auto">sorry if they're messy=
 but i'm working on those.<br></div><div dir=3D"auto">Thanks a million.<br>=
</div><div><br></div><div>Oct 27, 2022, 3:22 PM by eliz@HIDDEN:<br></div><=
blockquote class=3D"tutanota_quote" style=3D"border-left: 1px solid #93A3B8=
; padding-left: 10px; margin-left: 5px;"><blockquote><div>Date: Thu, 27 Oct=
 2022 12:05:41 +0200 (CEST)<br></div><div>From: purity.piped@HIDDEN<br></d=
iv><div>Cc: Eli Zaretskii &lt;eliz@HIDDEN&gt;, luangruo@HIDDEN,<br></di=
v><div> 58767-done <at> debbugs.gnu.org<br></div><div><br></div><div>well, I'm s=
orry to have to open the bug again, but it's happening again.<br></div></bl=
ockquote><div><br></div><div>With Emacs 29?<br></div><blockquote><div>usual=
 deal, log attached and mirrored. <br></div><div>to be noted: I was testing=
 if this was an EXWM thing, but it is not, although it's strange:<br></div>=
<div>I started emacs, m-x telega, all good. C-x C-c, fired emacs once again=
, started telega, crash. I have<br></div><div>recompiled emacs with the app=
ropriate CFLAGS, hope this time I did it right.<br></div></blockquote><div>=
<br></div><div>Thanks, but if this is Emacs 29, I need a reproduction recip=
e to run<br></div><div>on my machine.  I cannot debug this without being ab=
le to reproduce it<br></div><div>here.  Sorry.<br></div></blockquote><div d=
ir=3D"auto"><br></div>  </body>
</html>

------=_Part_111459_1203530014.1666877628496--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 27 Oct 2022 13:22:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 09:22:14 2022
Received: from localhost ([127.0.0.1]:56442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oo2pq-0002Uo-3N
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:22:14 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35596)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oo2po-0002Ub-Ra
 for 58767 <at> debbugs.gnu.org; Thu, 27 Oct 2022 09:22:13 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo2pj-0006ps-B6; Thu, 27 Oct 2022 09:22:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=aeDu2pJxhfxGBRjSByDKBY/7Rs6Df62O99tdszaOyjo=; b=gCM36hxf6xVC
 u3mYvPCo3c5nrpMYS4TnBIO8uasSRpFUiMpYoZKz+3iSQ6MI/MWJQ4IC/j1LwRFbbkQe5g9UMy1FA
 NleztxQQ5UUCvjG4amv9xVf7XSz41LHaxDMTwDguIB74lX5yZL+OAE7QMMf9nnOQ1OUNdNoT9d0mk
 tiMpi3lU9nctE1/kf/B5ZS/Q2bePuCx/hlR883Cmq+da8LNneIHSOfVe5xziKicV7+9lKeYs4XTDc
 O5YqJHzEOe7bUyYDi1BiPcjj9j9Wz3K9G9dGJEcsU7C/jzA8skzCsGkeQMA1agYTn+joy5fBzaLWj
 21Pde7WT/bZvvgXYHUIRAg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oo2pi-0005DN-NC; Thu, 27 Oct 2022 09:22:07 -0400
Date: Thu, 27 Oct 2022 16:22:00 +0300
Message-Id: <834jvpmmfb.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: purity.piped@HIDDEN
In-Reply-To: <NFNttN6--3-9@HIDDEN> (purity.piped@HIDDEN)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
 <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
 <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
 <NFNttN6--3-9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org, stefankangas@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 27 Oct 2022 12:05:41 +0200 (CEST)
> From: purity.piped@HIDDEN
> Cc: Eli Zaretskii <eliz@HIDDEN>, luangruo@HIDDEN,
> 	58767-done <at> debbugs.gnu.org
> 
> well, I'm sorry to have to open the bug again, but it's happening again.

With Emacs 29?

> usual deal, log attached and mirrored. 
> to be noted: I was testing if this was an EXWM thing, but it is not, although it's strange:
> I started emacs, m-x telega, all good. C-x C-c, fired emacs once again, started telega, crash. I have
> recompiled emacs with the appropriate CFLAGS, hope this time I did it right. 

Thanks, but if this is Emacs 29, I need a reproduction recipe to run
on my machine.  I cannot debug this without being able to reproduce it
here.  Sorry.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767-done <at> debbugs.gnu.org:


Received: (at 58767-done) by debbugs.gnu.org; 27 Oct 2022 10:06:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Oct 27 06:06:04 2022
Received: from localhost ([127.0.0.1]:56203 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onzlp-0003bP-5y
	for submit <at> debbugs.gnu.org; Thu, 27 Oct 2022 06:06:04 -0400
Received: from w4.tutanota.de ([81.3.6.165]:34178)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1onzlj-0003b5-Dd
 for 58767-done <at> debbugs.gnu.org; Thu, 27 Oct 2022 06:05:51 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id B5F8F1060155;
 Thu, 27 Oct 2022 10:05:41 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666865141; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=VV0oDQIXW0EKq6jU2lQEodLforoe/Ajku0FYaBC/OGo=;
 b=FkEvvKZuMnwabz8ex0scgvslWyt60L0S+dR/ccroWgziaX7YAOwxy5CAHbvwhBbU
 4TrhUUpp1QDPsmMFsJYSVMIT2pXYL7z0F2N3XOTcxrD+kBFVBBD53b5C08Mi+lD6QRj
 VA1z9lngsJcs0jSv55ZK9HUe1Sw+KVIDq56GzopD0DQxyuGLf6/IuHONuf52c+MQUn0
 /7hWwMBPS+D4lRwIIHpw62r3dtMr+A2511PBND5p5T+pq43W4H1/aPhMh8I89OlRBBP
 x+cqfGezsaJWhivQ6MJmaN4x9VEGp9otWiDXBrgH/0njJaovAKEa4np2dTRchOoiS3O
 Icn75yjJEQ==
Date: Thu, 27 Oct 2022 12:05:41 +0200 (CEST)
From: purity.piped@HIDDEN
To: Stefan Kangas <stefankangas@HIDDEN>
Message-ID: <NFNttN6--3-9@HIDDEN>
In-Reply-To: <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
References: <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
 <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
 <83o7tzok5f.fsf@HIDDEN>
 <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_97482_2123126901.1666865141739"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58767-done
Cc: luangruo@HIDDEN, 58767-done <at> debbugs.gnu.org,
 Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_97482_2123126901.1666865141739
Content-Type: multipart/alternative; 
	boundary="----=_Part_97483_421847220.1666865141739"

------=_Part_97483_421847220.1666865141739
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit

greetings.
well, I'm sorry to have to open the bug again, but it's happening again.
usual deal, log attached and mirrored. 
to be noted: I was testing if this was an EXWM thing, but it is not, although it's strange:
I started emacs, m-x telega, all good. C-x C-c, fired emacs once again, started telega, crash. I have recompiled emacs with the appropriate CFLAGS, hope this time I did it right. 
I apologize if I did not.
thanks a million.
best regards.
https://termbin.com/n54s


Oct 25, 2022, 8:25 PM by stefankangas@HIDDEN:

> Eli Zaretskii <eliz@HIDDEN> writes:
>
>>> I've tested telega with emacs-29 (I cloned from savannah.gnu.org),
>>> and it appears that, indeed, telega does not seem to crash there.
>>>
>>
>> Thanks.  If Emacs 29 doesn't crash, then I guess the issue, whatever
>> it is, was already fixed.
>>
>
> So I guess we can close this?  Now done.
>
> If this conclusion is incorrect, please reply to this email (use "Reply
> to all" in your email client) and we can reopen the bug report.
>


------=_Part_97483_421847220.1666865141739
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div>greetings.<br></div><div dir=3D"auto">well, I'm sorry to have to open =
the bug again, but it's happening again.<br></div><div dir=3D"auto">usual d=
eal, log attached and mirrored. <br></div><div dir=3D"auto">to be noted: I =
was testing if this was an EXWM thing, but it is not, although it's strange=
:<br></div><div dir=3D"auto">I started emacs, m-x telega, all good. C-x C-c=
, fired emacs once again, started telega, crash. I have recompiled emacs wi=
th the appropriate CFLAGS, hope this time I did it right. <br></div><div di=
r=3D"auto">I apologize if I did not.<br></div><div dir=3D"auto">thanks a mi=
llion.<br></div><div dir=3D"auto">best regards.<br></div><div dir=3D"auto">=
<a href=3D"https://termbin.com/n54s">https://termbin.com/n54s</a><br></div>=
<div><br></div><div><br></div><div>Oct 25, 2022, 8:25 PM by stefankangas@gm=
ail.com:<br></div><blockquote class=3D"tutanota_quote" style=3D"border-left=
: 1px solid #93A3B8; padding-left: 10px; margin-left: 5px;"><div>Eli Zarets=
kii &lt;eliz@HIDDEN&gt; writes:<br></div><blockquote><blockquote><div>I've=
 tested telega with emacs-29 (I cloned from savannah.gnu.org),<br></div><di=
v>and it appears that, indeed, telega does not seem to crash there.<br></di=
v></blockquote><div><br></div><div>Thanks.  If Emacs 29 doesn't crash, then=
 I guess the issue, whatever<br></div><div>it is, was already fixed.<br></d=
iv></blockquote><div><br></div><div>So I guess we can close this?  Now done=
.<br></div><div><br></div><div>If this conclusion is incorrect, please repl=
y to this email (use "Reply<br></div><div>to all" in your email client) and=
 we can reopen the bug report.<br></div></blockquote><div dir=3D"auto"><br>=
</div>  </body>
</html>

------=_Part_97483_421847220.1666865141739--

------=_Part_97482_2123126901.1666865141739
Content-Type: application/octet-stream; name=gdb.dump
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=gdb.dump
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------=_Part_97482_2123126901.1666865141739--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767-done <at> debbugs.gnu.org:


Received: (at 58767-done) by debbugs.gnu.org; 25 Oct 2022 18:25:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 14:25:37 2022
Received: from localhost ([127.0.0.1]:52232 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onOcK-0000GO-Ol
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 14:25:37 -0400
Received: from mail-oa1-f54.google.com ([209.85.160.54]:37481)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1onOcJ-0000GC-9m
 for 58767-done <at> debbugs.gnu.org; Tue, 25 Oct 2022 14:25:35 -0400
Received: by mail-oa1-f54.google.com with SMTP id
 586e51a60fabf-12c8312131fso16747006fac.4
 for <58767-done <at> debbugs.gnu.org>; Tue, 25 Oct 2022 11:25:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:from:to:cc:subject:date:message-id:reply-to;
 bh=Vl6hgnT98qjQNmk3TwRWH8PA/lCHPnSD0u29dh5f0QM=;
 b=Wj23JB5cZQNS6wraB/1upWkPi/s8sv3uojrPd4GK2vsSDJ7aW6sJlLPGT20Vu/RqOg
 PMWLrJvv23hosbrvLkn64/1te75SazqCiHcCybjJlWe/+7KoKYRxc0E8a/VCnQJr+35W
 VqzLM2RJ2KrqK6rSTlLu8rl0LKW6e89TzJ9cn72fqliRxyav9od4HG9qoWjzCFRoxsyH
 rMP7rKZmahzDTEeK69RtTFyypoCBOQOskvigLc+IVTVUTsNzrCT72zvfQQShTis3OFrs
 safY2fMwamDF/Be/jtmzeifHnRjuIq45QkrdARJRHryGMtQgEn3AYnayR15H7CZnPy4j
 O9vg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=cc:to:subject:message-id:date:mime-version:references:in-reply-to
 :from:x-gm-message-state:from:to:cc:subject:date:message-id:reply-to;
 bh=Vl6hgnT98qjQNmk3TwRWH8PA/lCHPnSD0u29dh5f0QM=;
 b=nykgwsZmVfJTnajT57Oxm8tDkW9dtp0hqB3DGDfoi4HRpnTu/gKisjuw9AtpKiF9bO
 RkK/HKvAzBGviK767g2Xl7o7IGyeZkoGh9G+stzROmJymsGEBAfuKyvwQmoiJpWAlJGR
 XenGMfbpBe8WVcY+TTvkxt+2GyZ9o18udNPyYbubK95rN/OtZYKRNHMcT0LDpVg0o1L5
 3VFhm35zD5wrOfejTOED/7Z6nXOHpN5FJS5++q6VA6jkDk8sgTZ85Cu4WVOW6bNaEdKn
 QZg4licxlYI1qPAVzyrwQXejmTkU9aXp5zVpl81rnryW24Faad+XulG2Y8bBRrlWqlMs
 FX9g==
X-Gm-Message-State: ACrzQf1VHdcquAQ5TwJqVjZ9nz9wUOuoKKQ7QrWBJM84ncce1QQAhnYa
 QkOrNbZKoBoYz/+D+47p618nMilSa9hCVXlplfg=
X-Google-Smtp-Source: AMsMyM7aVupsEY1KizWmXD3DNEXMbhF2Y1hRU1zzw5r+NwhBi1NnYD6fRfbxsQMwRxhBFETJ6S5RGkRKU82FBcxMGMA=
X-Received: by 2002:a05:6870:c0d5:b0:13a:fb98:713d with SMTP id
 e21-20020a056870c0d500b0013afb98713dmr17184169oad.199.1666722329586; Tue, 25
 Oct 2022 11:25:29 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Tue, 25 Oct 2022 11:25:28 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83o7tzok5f.fsf@HIDDEN>
References: <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN>
 <NFD5mZ9--3-9@HIDDEN> <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
 <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
 <83o7tzok5f.fsf@HIDDEN>
X-Hashcash: 1:20:221025:58767-done <at> debbugs.gnu.org::wW+1VBYUtMg8SgrG:PKS
MIME-Version: 1.0
Date: Tue, 25 Oct 2022 11:25:28 -0700
Message-ID: <CADwFkmkbBqQhiQwgPAX3jnt=C4P=TgAx91ww_F+uq86dS9yW0g@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
To: Eli Zaretskii <eliz@HIDDEN>, purity.piped@HIDDEN
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58767-done
Cc: luangruo@HIDDEN, 58767-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> I've tested telega with emacs-29 (I cloned from savannah.gnu.org),
>> and it appears that, indeed, telega does not seem to crash there.
>
> Thanks.  If Emacs 29 doesn't crash, then I guess the issue, whatever
> it is, was already fixed.

So I guess we can close this?  Now done.

If this conclusion is incorrect, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.




Notification sent to Marco <purity.piped@HIDDEN>:
bug acknowledged by developer. Full text available.
Reply sent to Stefan Kangas <stefankangas@HIDDEN>:
You have taken responsibility. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 18:03:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 14:03:59 2022
Received: from localhost ([127.0.0.1]:52211 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onOHP-0008Bx-7f
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 14:03:59 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1onOHN-0008Bj-Lv
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 14:03:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onOHI-00063K-2h; Tue, 25 Oct 2022 14:03:52 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=7X0pCvoKwbuiBT4JxhokGPqLXgU5p7GBjAA3UbMtnK0=; b=iEW2Un7LkoBP
 Bjz0R34wSd+G4HkCgvgnvSSbHww/PS09J58hw1NNIgcliymkW1+rcE89/2WfO6hMxSgfJURTvUFZl
 26Ruo0U9+F0xAsLt4YNHNGWKsTnWwfgLamEaTWSzlk8zvj4CGhfFzQTuqdkgR72F8NU+GA+aYKGZ0
 2VrAi7N0PEMWlcpANlbS6/xOf3EFbFFasw14mVoO9/TSd5IML+1oSXc4DItU41/lepgJFt6logbET
 Ek0bRvqZu60zha3+Tow52ZVtTLi/Z6K8LhxoVevj+RtKbnALNnP6/pQmeYFLXHgcqs9DHhFp7yQyP
 ETSj6J5uNX9p08XKlDi9rg==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onOHH-0005Us-FF; Tue, 25 Oct 2022 14:03:51 -0400
Date: Tue, 25 Oct 2022 21:03:40 +0300
Message-Id: <83o7tzok5f.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: purity.piped@HIDDEN
In-Reply-To: <NFFCO-Y--3-9@HIDDEN> (purity.piped@HIDDEN)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN>
 <NFD5mZ9--3-9@HIDDEN> <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
 <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN> <NFFCO-Y--3-9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 Oct 2022 19:36:32 +0200 (CEST)
> From: purity.piped@HIDDEN
> Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
> 
> I've tested telega with emacs-29 (I cloned from savannah.gnu.org), and it appears that, indeed, telega does
> not seem to crash there.

Thanks.  If Emacs 29 doesn't crash, then I guess the issue, whatever
it is, was already fixed.

> Thread 1 "emacs" received signal SIGABRT, Aborted.
> 0x00007ffff596c64c in ?? () from /usr/lib/libc.so.6
> (gdb) bt
> #0  0x00007ffff596c64c in  () at /usr/lib/libc.so.6
> #1  0x00007ffff591c958 in raise () at /usr/lib/libc.so.6
> #2  0x0000555555700a40 in terminate_due_to_signal (sig=6, backtrace_limit=40) at emacs.c:437
> #3  0x000055555572e7a9 in emacs_abort () at sysdep.c:2282
> #4  0x00005555556900bf in bidi_resolve_explicit (bidi_it=0x7fffffff8760) at bidi.c:1949

This is indeed the second emacs_abort, not the one shown by GDB in the
optimized build.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 17:36:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 13:36:41 2022
Received: from localhost ([127.0.0.1]:52200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onNqy-0007WU-Go
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 13:36:40 -0400
Received: from w4.tutanota.de ([81.3.6.165]:38624)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1onNqw-0007WG-Ap
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 13:36:38 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id 7062310601FE;
 Tue, 25 Oct 2022 17:36:32 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666719392; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=acY8F0AAMzDeW4cMLRcS9FrjqxQYA6l1ru4QnQTXotk=;
 b=y8Q1AAiPBPM1+Mk+OiqTLT4QNlEa0XVjXJVbuWiGcE13QteDU2lbqKnBp8T908Xi
 tfuKE5UGHmjNcj0I7ILHlH0XAeSHBRv2JHoVxPgMm30TmZqiis4hxuOAFX60DrLjbWX
 tP8OTko52sbslaQqDMXzSr+Bu13O0HJQCcqnJ3pffH9LRX3wsecz73CcmzdP5vhqMc7
 s/UnKKN7rNK6NphCbYg/lhTvMv7R3rhchVqAbnM7S/HpxmIUu+TSOXdiGchj3GsL3UL
 V2+AEHOAUF/7VRA50QZvfrj+xWTTOMtWmnD1sfzRPJENKcNw6Wc5ieyOru23fUzCmvy
 dIXZqwNt0A==
Date: Tue, 25 Oct 2022 19:36:32 +0200 (CEST)
From: purity.piped@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NFFCO-Y--3-9@HIDDEN>
In-Reply-To: <83tu3sni6z.fsf@HIDDEN>
References: <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN>
 <NFD5mZ9--3-9@HIDDEN> <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN>
 <87fsfc2pjl.fsf@HIDDEN> <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
 <83wn8onk2d.fsf@HIDDEN> <83tu3sni6z.fsf@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/mixed; 
 boundary="----=_Part_39354_1246577992.1666719392453"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_39354_1246577992.1666719392453
Content-Type: multipart/alternative; 
	boundary="----=_Part_39355_1377465526.1666719392453"

------=_Part_39355_1377465526.1666719392453
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit


greetings.
I've tested telega with emacs-29 (I cloned from savannah.gnu.org), and it appears that, indeed, telega does not seem to crash there.
I've compiled emacs-28.2 with -O0 and -g3, and business as usual, log attached and mirrored on termbin.
hope this helps further! tell me if I missed anything!
thanks a million for your patience.

https://termbin.com/h294 <- gdb log of emacs-28.2 compiled with -O0 and -g3



Oct 25, 2022, 3:31 PM by eliz@HIDDEN:

>> Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
>> Date: Tue, 25 Oct 2022 15:50:50 +0300
>> From: Eli Zaretskii <eliz@HIDDEN>
>>
>> > Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)
>> > From: purity.piped@HIDDEN
>> > Cc: Po Lu <luangruo@HIDDEN>, 58767 <at> debbugs.gnu.org
>> > 
>> > What I do that makes emacs crash is just launch telega. Either via a keybind or m-x. 
>>
>> So just "M-x telega RET" is enough to cause the crash?
>>
>
> FTR: I tried to reproduce the crash, but couldn't get far enough:
> running "M-x telega" requires some server, which I don't have, and
> won't install.  So someone who has that installed will need to debug
> this and tell me how come this code crashes.
>
> The abort is in this code in bidi.c:
>
> /* Don't move at end of buffer/string.  */
> else if (bidi_it->charpos < (string_p ? bidi_it->string.schars : ZV))
> {
> /* Advance to the next character, skipping characters covered by
> display strings (nchars > 1).  */
> if (bidi_it->nchars <= 0)
> emacs_abort ();
> bidi_it->charpos += bidi_it->nchars;
> if (bidi_it->ch_len == 0)
> emacs_abort ();
> bidi_it->bytepos += bidi_it->ch_len;
> prev_type = bidi_it->orig_type;
> }
>
> The backtrace points to the first call to emacs_abort, but since this
> is an optimized build, it could be the second one as well.  These
> situations "should not happen", ever.  So I must understand what kind
> of buffer or string text we bumped into that caused this, it should be
> something highly unusual.
>


------=_Part_39355_1377465526.1666719392453
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div><br></div><div>greetings.<br></div><div dir=3D"auto">I've tested teleg=
a with emacs-29 (I cloned from savannah.gnu.org), and it appears that, inde=
ed, telega does not seem to crash there.<br></div><div dir=3D"auto">I've co=
mpiled emacs-28.2 with -O0 and -g3, and business as usual, log attached and=
 mirrored on termbin.<br></div><div dir=3D"auto">hope this helps further! t=
ell me if I missed anything!<br></div><div dir=3D"auto">thanks a million fo=
r your patience.<br></div><div dir=3D"auto"><br></div><div dir=3D"auto"><a =
href=3D"https://termbin.com/h294">https://termbin.com/h294</a> &lt;- gdb lo=
g of emacs-28.2 compiled with -O0 and -g3<br></div><div><br></div><div><br>=
</div><div><br></div><div>Oct 25, 2022, 3:31 PM by eliz@HIDDEN:<br></div><=
blockquote class=3D"tutanota_quote" style=3D"border-left: 1px solid #93A3B8=
; padding-left: 10px; margin-left: 5px;"><blockquote><div>Cc: luangruo@yaho=
o.com, 58767 <at> debbugs.gnu.org<br></div><div>Date: Tue, 25 Oct 2022 15:50:50 =
+0300<br></div><div>From: Eli Zaretskii &lt;eliz@HIDDEN&gt;<br></div><div>=
<br></div><div>&gt; Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)<br></div><=
div>&gt; From: purity.piped@HIDDEN<br></div><div>&gt; Cc: Po Lu &lt;luangr=
uo@HIDDEN&gt;, 58767 <at> debbugs.gnu.org<br></div><div>&gt; <br></div><div>&=
gt; What I do that makes emacs crash is just launch telega. Either via a ke=
ybind or m-x. <br></div><div><br></div><div>So just "M-x telega RET" is eno=
ugh to cause the crash?<br></div></blockquote><div><br></div><div>FTR: I tr=
ied to reproduce the crash, but couldn't get far enough:<br></div><div>runn=
ing "M-x telega" requires some server, which I don't have, and<br></div><di=
v>won't install.  So someone who has that installed will need to debug<br><=
/div><div>this and tell me how come this code crashes.<br></div><div><br></=
div><div>The abort is in this code in bidi.c:<br></div><div><br></div><div>=
/* Don't move at end of buffer/string.  */<br></div><div>else if (bidi_it-&=
gt;charpos &lt; (string_p ? bidi_it-&gt;string.schars : ZV))<br></div><div>=
{<br></div><div>/* Advance to the next character, skipping characters cover=
ed by<br></div><div>display strings (nchars &gt; 1).  */<br></div><div>if (=
bidi_it-&gt;nchars &lt;=3D 0)<br></div><div>emacs_abort ();<br></div><div>b=
idi_it-&gt;charpos +=3D bidi_it-&gt;nchars;<br></div><div>if (bidi_it-&gt;c=
h_len =3D=3D 0)<br></div><div>emacs_abort ();<br></div><div>bidi_it-&gt;byt=
epos +=3D bidi_it-&gt;ch_len;<br></div><div>prev_type =3D bidi_it-&gt;orig_=
type;<br></div><div>}<br></div><div><br></div><div>The backtrace points to =
the first call to emacs_abort, but since this<br></div><div>is an optimized=
 build, it could be the second one as well.  These<br></div><div>situations=
 "should not happen", ever.  So I must understand what kind<br></div><div>o=
f buffer or string text we bumped into that caused this, it should be<br></=
div><div>something highly unusual.<br></div></blockquote><div dir=3D"auto">=
<br></div>  </body>
</html>

------=_Part_39355_1377465526.1666719392453--

------=_Part_39354_1246577992.1666719392453
Content-Type: application/octet-stream; name=gdb.dump
Content-Transfer-Encoding: base64
Content-Disposition: attachment; filename=gdb.dump
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------=_Part_39354_1246577992.1666719392453--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 13:31:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 09:31:35 2022
Received: from localhost ([127.0.0.1]:50719 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onK1n-000153-8f
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 09:31:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51096)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1onK1l-00014q-PB
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 09:31:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onK1g-00038X-3s; Tue, 25 Oct 2022 09:31:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+p3+sPVsZ/FK74/DrvxPOQ0FhGh6jWROVgYzI+x4+pE=; b=W7gw/lYaJ7ZN
 Ue/kg+iVPzk+hRvvSMuM7046ckJtyrTA9840HEi78MUl8CFBduh50AsggBNzzWP2wEa1qA2UyeAJh
 aW55k+/kMdmcLZzHj8sQky+SzNYaVSu63NkyZApElP2CfS20TDt3nUCdRtX3i4ZqwUJedIaEzwEGo
 3U+k6mQDQzpChv7iSFN9OHQUzDrJ0I4GeyOJijYvMHFFQxE6rRa0C47Vjyz6axIey4uejAd0J4Q3E
 1QXH4Et/Dgp1yzCOUVujSDjZuO9bBfIPGFlUGOU+tuOWpTAVO2pCS3S3qpOB1sjC9X8JW6PEIwA/e
 aJubfaISYDrfsIi7PLaPNA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onK1f-0007xp-6O; Tue, 25 Oct 2022 09:31:27 -0400
Date: Tue, 25 Oct 2022 16:31:16 +0300
Message-Id: <83tu3sni6z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: purity.piped@HIDDEN
In-Reply-To: <83wn8onk2d.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 25
 Oct 2022 15:50:50 +0300)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <NF9xY1Q--3-9@HIDDEN> <87y1t43fkb.fsf@HIDDEN>
 <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN> <NFD5mZ9--3-9@HIDDEN>
 <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN> <87fsfc2pjl.fsf@HIDDEN>
 <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN> <83wn8onk2d.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
> Date: Tue, 25 Oct 2022 15:50:50 +0300
> From: Eli Zaretskii <eliz@HIDDEN>
> 
> > Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)
> > From: purity.piped@HIDDEN
> > Cc: Po Lu <luangruo@HIDDEN>, 58767 <at> debbugs.gnu.org
> > 
> > What I do that makes emacs crash is just launch telega. Either via a keybind or m-x. 
> 
> So just "M-x telega RET" is enough to cause the crash?

FTR: I tried to reproduce the crash, but couldn't get far enough:
running "M-x telega" requires some server, which I don't have, and
won't install.  So someone who has that installed will need to debug
this and tell me how come this code crashes.

The abort is in this code in bidi.c:

  /* Don't move at end of buffer/string.  */
  else if (bidi_it->charpos < (string_p ? bidi_it->string.schars : ZV))
    {
      /* Advance to the next character, skipping characters covered by
	 display strings (nchars > 1).  */
      if (bidi_it->nchars <= 0)
	emacs_abort ();
      bidi_it->charpos += bidi_it->nchars;
      if (bidi_it->ch_len == 0)
	emacs_abort ();
      bidi_it->bytepos += bidi_it->ch_len;
      prev_type = bidi_it->orig_type;
    }

The backtrace points to the first call to emacs_abort, but since this
is an optimized build, it could be the second one as well.  These
situations "should not happen", ever.  So I must understand what kind
of buffer or string text we bumped into that caused this, it should be
something highly unusual.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 12:51:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 08:51:36 2022
Received: from localhost ([127.0.0.1]:50650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onJP3-0006JV-86
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 08:51:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48848)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1onJP0-0006JD-LK
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 08:51:31 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onJOu-0004Ga-NZ; Tue, 25 Oct 2022 08:51:25 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=ObgSTriRjVQFqZ+sJwN+ieze+p6SjGgqDhJeNScAHjA=; b=SQLh2LQON+yw
 xw6ihOfFMoi9Y6QPINfOG0GgXipwAQE4qgK8h9oeizf6RfGkxpKBloH0JTjJpZWya6Mm6GzWG1Wh4
 Te/IfHUE8q+4SCVF7Ye4k812CHW3/VMvo5NwcqUlKIvmfgUURcaduMzOhAK3he7A7b0iflJgrRrN+
 MgtpXj75o8i6IW40piqEELrRsGEJH6pdStAlk3Up73iqB1MM9tp+8A4ql3Q1bvdmKybYXE6rr3hS4
 2o/ma9qY6XrCZWhnbQo8d+g6cKjAePpTBqrayGDPnqYEzE17fJpSjgEIwze5yOoUkAyHK+tv5GoHK
 SHlqJ6djo/umShD0/p8PBQ==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onJOY-0005oT-6r; Tue, 25 Oct 2022 08:51:13 -0400
Date: Tue, 25 Oct 2022 15:50:50 +0300
Message-Id: <83wn8onk2d.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: purity.piped@HIDDEN
In-Reply-To: <NFE2CZK--3-9@HIDDEN> (purity.piped@HIDDEN)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <NF9xY1Q--3-9@HIDDEN> <87y1t43fkb.fsf@HIDDEN>
 <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN> <NFD5mZ9--3-9@HIDDEN>
 <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN> <87fsfc2pjl.fsf@HIDDEN>
 <837d0op23w.fsf@HIDDEN> <NFE2CZK--3-9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: luangruo@HIDDEN, 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)
> From: purity.piped@HIDDEN
> Cc: Po Lu <luangruo@HIDDEN>, 58767 <at> debbugs.gnu.org
> 
> What I do that makes emacs crash is just launch telega. Either via a keybind or m-x. 

So just "M-x telega RET" is enough to cause the crash?

Then what does EXWM have to do with this?  Are you saying that the
crash only happens under EXWM, and no other environment can reproduce
this?

> what is displayed is nothing, since emacs crashes as a whole; in the debugger I already attached a log of
> emacs crashing.

The crash is inside display code, so Emacs is definitely trying to
display something.

> Should i try emacs-29?

It cannot do any harm to try.

But if you are going to build Emacs 29, please build it with -O0,
i.e. without optimizations, and with -g3, so that the debug info is
the most useful it can be.

Thanks.


Because it has some breaking changes for exwm, but i can use another wm and test
> that if it's needed!
> awaiting instructions.
> thanks a million.
> 
> Oct 25, 2022, 1:35 PM by eliz@HIDDEN:
> 
>  Cc: 58767 <at> debbugs.gnu.org
>  Date: Tue, 25 Oct 2022 17:58:06 +0800
>  From: Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
>  > greetings.
>  > attached to this mail it's the new log, and the following is that in a pastebin:
>  > https://termbin.com/4o84
>  > hope this helps. Awaiting for further instructions.
>  > thanks a million.
> 
>  AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
>  (the master branch.)
> 
>  I don't think so.
> 
>  But to investigate, I will need a reproducible recipe, and preferably
>  without telega and EXWM. Specifically, what text is being displayed
>  when this abort happens? It looks like the buffer has some display
>  property, so the information about that display property will also be
>  needed.
> 
>  Bottom line: more details are needed, including some description of
>  what is being done by the user and what is displayed by Emacs at the
>  time of the abort.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 12:10:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 08:10:20 2022
Received: from localhost ([127.0.0.1]:50618 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onIlA-0005GT-BG
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 08:10:20 -0400
Received: from w4.tutanota.de ([81.3.6.165]:60970)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1onIl8-0005GD-FD
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 08:10:19 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id 8C92E1060162;
 Tue, 25 Oct 2022 12:10:12 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666699812; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Cc:Date:Date:In-Reply-To:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:References:Sender;
 bh=eWKzxMwvOY+B2JpFilYT6oHTvDbyT24AisaOlN0OFBg=;
 b=lUnPCHzrOe8YwadLSvlDGT1QU7DfbL6UTsQ5ItRinS5JNdI5MSGOMAwh9VOyOxiy
 G+gbvhB2R1Ax+76PLXXvCm8L9/mmMJQzDWzioIV3E6+k2d7rNO1XAGKV+IK4Ov+oZHL
 frPEckEzDOF7E8fu2JA2KQotG8cD8yU9qz+/6u9mgygc7oHlX2hwUfRNWoPM3tIjR7j
 60jFhTSWuU6NwZfxHXItDSHa7lHYr3z/zhjYqjx+5g4gX1U4MyRevE6MeCQWACZxzG3
 4OwVrkBAZj9c0dytIp12VnNuBIBNDhC7QqUPoCe5Y3q1DTCFd1mvGM1ayTW8rOFLuE3
 17W/JMngtA==
Date: Tue, 25 Oct 2022 14:10:12 +0200 (CEST)
From: purity.piped@HIDDEN
To: Eli Zaretskii <eliz@HIDDEN>
Message-ID: <NFE2CZK--3-9@HIDDEN>
In-Reply-To: <837d0op23w.fsf@HIDDEN>
References: <NF9xY1Q--3-9@HIDDEN> <87y1t43fkb.fsf@HIDDEN>
 <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN> <NFD5mZ9--3-9@HIDDEN>
 <87lep42unz.fsf@HIDDEN> <NFDFQyP--3-9@HIDDEN> <87fsfc2pjl.fsf@HIDDEN>
 <837d0op23w.fsf@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_14897_1965012693.1666699812569"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: Po Lu <luangruo@HIDDEN>, 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_14897_1965012693.1666699812569
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable


Greetings.
What I do that makes emacs crash is just launch telega. Either via a keybin=
d or m-x.=C2=A0
what is displayed is nothing, since emacs crashes as a whole; in the debugg=
er I already attached a log of emacs crashing.
I think it is something related to gtk because in my testing launching tele=
ga when emacs' in a tty or terminal (emacs -nw or emacsclient -ct) it does =
not seem to crash.
Hope this help somewhat this case.
Should i try emacs-29? Because it has some breaking changes for exwm, but i=
 can use another wm and test that if it's needed!
awaiting instructions.
thanks a million.


Oct 25, 2022, 1:35 PM by eliz@HIDDEN:

>> Cc: 58767 <at> debbugs.gnu.org
>> Date: Tue, 25 Oct 2022 17:58:06 +0800
>> From:  Po Lu via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
>>
>> > greetings.
>> > attached to this mail it's the new log, and the following is that in a=
 pastebin:
>> > https://termbin.com/4o84
>> > hope this helps. Awaiting for further instructions.
>> > thanks a million.
>>
>> AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
>> (the master branch.)
>>
>
> I don't think so.
>
> But to investigate, I will need a reproducible recipe, and preferably
> without telega and EXWM.  Specifically, what text is being displayed
> when this abort happens?  It looks like the buffer has some display
> property, so the information about that display property will also be
> needed.
>
> Bottom line: more details are needed, including some description of
> what is being done by the user and what is displayed by Emacs at the
> time of the abort.
>


------=_Part_14897_1965012693.1666699812569
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<div><br></div><div>Greetings.<br></div><div dir=3D"auto">What I do that ma=
kes emacs crash is just launch telega. Either via a keybind or m-x.&nbsp;<b=
r></div><div dir=3D"auto">what is displayed is nothing, since emacs crashes=
 as a whole; in the debugger I already attached a log of emacs crashing.<br=
></div><div dir=3D"auto">I think it is something related to gtk because in =
my testing launching telega when emacs' in a tty or terminal (emacs -nw or =
emacsclient -ct) it does not seem to crash.<br></div><div dir=3D"auto">Hope=
 this help somewhat this case.<br></div><div dir=3D"auto">Should i try emac=
s-29? Because it has some breaking changes for exwm, but i can use another =
wm and test that if it's needed!<br></div><div dir=3D"auto">awaiting instru=
ctions.<br></div><div dir=3D"auto">thanks a million.</div><div><br></div><d=
iv><br></div><div><br></div><div>Oct 25, 2022, 1:35 PM by eliz@HIDDEN:<br>=
</div><blockquote class=3D"tutanota_quote" style=3D"border-left: 1px solid =
#93A3B8; padding-left: 10px; margin-left: 5px;"><blockquote><div>Cc: 58767@=
debbugs.gnu.org<br></div><div>Date: Tue, 25 Oct 2022 17:58:06 +0800<br></di=
v><div>From:  Po Lu via "Bug reports for GNU Emacs,<br></div><div> the Swis=
s army knife of text editors" &lt;bug-gnu-emacs@HIDDEN&gt;<br></div><div><=
br></div><div>&gt; greetings.<br></div><div>&gt; attached to this mail it's=
 the new log, and the following is that in a pastebin:<br></div><div>&gt; h=
ttps://termbin.com/4o84<br></div><div>&gt; hope this helps. Awaiting for fu=
rther instructions.<br></div><div>&gt; thanks a million.<br></div><div><br>=
</div><div>AFAIU, several bugs in this area of the bidi code were fixed in =
Emacs 29<br></div><div>(the master branch.)<br></div></blockquote><div><br>=
</div><div>I don't think so.<br></div><div><br></div><div>But to investigat=
e, I will need a reproducible recipe, and preferably<br></div><div>without =
telega and EXWM.  Specifically, what text is being displayed<br></div><div>=
when this abort happens?  It looks like the buffer has some display<br></di=
v><div>property, so the information about that display property will also b=
e<br></div><div>needed.<br></div><div><br></div><div>Bottom line: more deta=
ils are needed, including some description of<br></div><div>what is being d=
one by the user and what is displayed by Emacs at the<br></div><div>time of=
 the abort.<br></div></blockquote><div dir=3D"auto"><br></div>  </body>
</html>

------=_Part_14897_1965012693.1666699812569--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 11:36:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 07:36:30 2022
Received: from localhost ([127.0.0.1]:50568 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onIEQ-0004OX-Ll
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 07:36:30 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36466)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1onIEO-0004OI-N8
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 07:36:29 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onIEI-0006gq-2P; Tue, 25 Oct 2022 07:36:22 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=fiMiqiI/cchMzHh7HHv7EraW1Fgf6MwJuX4S+d2kE+s=; b=EjlmvLFMjA3q
 pVAq52DOJMWuhiRL8M91uqmtPfDid4SZcZVgBY8uGnDMOQ44fiWC7nXDqOrj9R5bafxK/qZl2VmCE
 HxF7WTRmCTIa7iXALNsLCWBbTSS4G2pRlI6qC/8HxzMtT80DWKe1MF3BeR69yFChPWn7eqWQwBEQ0
 G2lWpej+M2lu5JgOF5xfeTaG8UGV1IWlmaX2yBbR+p8Ltc2pGJajQ1olibjx+QMo1LEYYjV1lq1an
 iH0T4o05Hy4lktPhioN4ALG1sX4xX+9xDMgM5d9PMkSe+XpnJMpD1HcFA8/TgJOr2cbxZHPq5u3vn
 k8lzEhr9Kt8nNC9eye9EFw==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1onIDv-0003DM-3y; Tue, 25 Oct 2022 07:36:10 -0400
Date: Tue, 25 Oct 2022 14:35:47 +0300
Message-Id: <837d0op23w.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Po Lu <luangruo@HIDDEN>
In-Reply-To: <87fsfc2pjl.fsf@HIDDEN> (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
References: <NF9xY1Q--3-9@HIDDEN> <87y1t43fkb.fsf@HIDDEN>
 <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN>
 <NFD5mZ9--3-9@HIDDEN> <87lep42unz.fsf@HIDDEN>
 <NFDFQyP--3-9@HIDDEN> <87fsfc2pjl.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 58767
Cc: 58767 <at> debbugs.gnu.org, purity.piped@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: 58767 <at> debbugs.gnu.org
> Date: Tue, 25 Oct 2022 17:58:06 +0800
> From:  Po Lu via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> > greetings.
> > attached to this mail it's the new log, and the following is that in a pastebin:
> > https://termbin.com/4o84
> > hope this helps. Awaiting for further instructions.
> > thanks a million.
> 
> AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
> (the master branch.)

I don't think so.

But to investigate, I will need a reproducible recipe, and preferably
without telega and EXWM.  Specifically, what text is being displayed
when this abort happens?  It looks like the buffer has some display
property, so the information about that display property will also be
needed.

Bottom line: more details are needed, including some description of
what is being done by the user and what is displayed by Emacs at the
time of the abort.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 09:58:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 25 05:58:28 2022
Received: from localhost ([127.0.0.1]:50456 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1onGhY-0005kW-6Y
	for submit <at> debbugs.gnu.org; Tue, 25 Oct 2022 05:58:28 -0400
Received: from sonic313-56.consmr.mail.ne1.yahoo.com ([66.163.185.31]:46464)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1onGhV-0005kF-MZ
 for 58767 <at> debbugs.gnu.org; Tue, 25 Oct 2022 05:58:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666691897; bh=zN/moL3A5aPzFdKwfOFrL0AvVOkqBh+l7HcpQLnv45s=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=bnHpYVdBGsvup2h3c8QNzM66baOZmbL3qWuzO9d+UZTbCYS7NJfzwg9Zlbz2j52ui2fkgegQmuhIDkbL77EnZymQK5AwEy8ICSiFH/zzpjFx57mePtxzeOpz6TFpCtKe8XsMH/YJa+5m5HbuWnwDzq6TdZY3yrXrPih3aePbhwpXteI2W75B4qtXObPOO6FcH5D1w58NIJW91IS9BImO7t6rzpoQZ41Q1+BYAnGCNuBQge76yRax6FbvwW7XpM0mrzqf2421TXKEwNlDh4ARDgpQrf2eXNIh3P/eVWJdeV/o+WjnnXp/ggGyf2WBm0NsU5QKs2C7Whz8MGf45JrqBw==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666691897; bh=t6f7GUVWQzZ+K5lz6w8yiMus094QnuStA2XXW3iTYvQ=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=RDC9ueRl6VJiIqd4Mfrz0YxhE6nhftXeC6qE4RyZ8163zpjg4+S08IWPI2s9zngUZDZJIid/JRKX3+AnOZFDp/YVidcGQoNhz5Od6GRz12ImIrdIvrZ+OixQjyblaf7BWi4UsVve7/sc2BYTKI7IWoeGZNSqxo41c6diQTLL9PfMU/USsYMTjyCd/k3fG3nusEw2DeMuxlzysZjZE1s/X+yknX7Mks/I5Y95MFhJCDU/d9mOJSIVBxoZfhOOjJaWjJR8lwxlQaR18ZM481Tjt022xAcg40zQEMIu056YwU2NzuOd0aYdNaw4t4aTt/YkIT5T6E36de4EbD7PmGfklA==
X-YMail-OSG: MoAecNcVM1lXT33XsY8z3ouyt.dPGmiEGA.kU4m7PSUcjmtJ3KSnUkWA38QkQd6
 1aKyvqaU_6TkqhhYI8IWuNzxbfWtQ7Ybd9iAqj65QTNG3m743T5hGTwdS7veOwNGJuT1h7QSh_Lo
 a6l.E2Y3kenvkLV9NB.mVbesSqLYVN4etm7l6SsjnOUmpn2AqsksClN3AFpzkjHX7xh2NNWpvVUH
 oXI27685A16VjyDRrf02.QRmbYdwABCuhygN7f1fK8kAosPIfrVJtU_.eoP5smK.Lz7q4M83TVs8
 6UAkls4JXl2jnO7WLnk7ojqFpeFqFlmNumj3LNYHgNS7VLZkfc9TVagT0q2qjj5GYWoCtVxbLNfR
 lHG19qYoL5T_fKLHlC8ikPrV4TAwFamIM8R8nU.xQ0QaocYmUTstgN4YdYC1aZsGFKHSmRIm7hMe
 y4WP1LTDgywkBQbRd9lCUGrddGBcMqFgSqESIzJs_XnRa.hzrgThjLYYQxHGnzk6UQZTv9o8jgzg
 510NcRRA50ZJRTlHi0mRHwdE.1DkewoOa.2NEPubNNfx97kYVpR3f.5qYaVEmf3s07tvXD3YaLy4
 gWPbmKH1vyirBI3NrMbY24WlthiRziVKlHV.hXmTVqUcS3x4DkMLTb__p2Mdv5GDKEyqzNzAniNA
 uUkGqOgvFPRYxHjHgpGIjydUfr1EMfvHTJcLdYi2oLL6gbKqFYPxziT8oUrMW4kTlRL6t_BNH0Wu
 ZFjQ8wrqD0MW.LmufjlWlR9vR6HRzVOVopoomkrYwFftTTZME63apgDVuDtw_hkvwWPMA32Z0gDZ
 Nra4QBqFrdtGQWoO3ulGRyNPhDewptVCLGflOoasi5P8aJVbA1ttDteTLG0uoPbIytOUaFWwXot1
 nOWfsC_lTNArCME1G2PheCV7M_n8nuKtgVM1VUTqUOawwoIn9g1AFPs8oE6dM_06xF_67fBi.L51
 ep06eLIdRIe5iE1arHorK63HBlr_6iEWwiY4f4uJ1c5qUhHdKQxJvfyTfp8TcGorWEDZ1eGFfpvR
 lwQ8i7bwTZFULMW_ZaT0ZnBZ7rorR9zZZjJFNkqkRnh.1qPOcWfYbtNua5RzYADKWfV2VeK9Mn5T
 D6qeUfZZ0WW8kswUI_FXfxrTPwUK3hmTKf5TcJAFo2.dRDZLdTBTcdz.ZwA_J8vKm1RpSIHFvPlE
 JM9bY7vT8bBsoqSkik6gQiHCHEOwFlvpa_BMgCkAgfr6g56xdr73k6DmXq3i1Gm0kRKR4D9m1r0B
 gpRVE.YeRtn7vPT72fsuYzqLoqwYSd5jyElK0MvC2N1jQO_UJxJV7NNTCHuMVOetSF4xtxLVgc2O
 JVNL8Rs2DU3vgJvi5pgOHvx2UJgrpsYw3XdDvKemo6CwDHFvI.HD1OQjvU9uEIAd2mkU8KfPjO9_
 Yls.PvKMDwZtWVFgqMc1PLPFq92QWTj_.AemtQtUvczj3VUZHymDIZ690IdT1MygxxdBVpx8d441
 oVb63MokVrJnJP6spvDatufk2YqgJ4GB7hYQC1ba5j_iB79AThzjQYzd9YTyk8ItVXt18hqHZBIJ
 Wck9msvYOxM.POSAHuYFnARPblIpafYtRoDiFUvQPBsJPGSW7edstSzpFvh0uyeEs9fXuIes_PPd
 T1MIk40ZVH1hSM7wpWWfQ8i91mZrzLsGq6hditQReWpAYZvXYpAeANaFxoaDx3.4K6_NVsI5Lgcn
 RJ2bIx4bVlvLzO6lAhQZA6Pk7H36FEKBqvhZHjThoxA2JyubDkUMrTB9VjE1JA0PbpQpQVbRHCqn
 hMz7KfGQPHWF.1QADHrRiPSIQUxe37q5Ev3qAxeoT.iznwExtzt5DnLDMTdYYHdnrspgK8jvIBng
 PjfqTtvfUqZ7oMNvNCDukikw7NALOTfQ5_8f6wrhLlbSOQPqTjNWeueRbiFeEE8IXgcjAq7BgSa.
 ZgOB.yzzufEK4L9SDpd2wo08MG49G09N_SwhZoZUWei.7ENoT23Jafp7jWV.B8Xnphh7ihpx8jQ9
 akNLw5qnYyADzqzg99clo0gz40aaAVIoeagq9IJSrT02hWKLig6AvHTOFRXg14CWTSDuPEgOA3Gs
 s2s0NMVyq6TKVsD2MBUuLv9GyhJGujtdAZ5EorLtBTJYCr8jB7J4gW6QhcIUWa._Rr0AlCIYm8mv
 0ZO8VrSRQjNEKd2F8CrdeZDMYAq6hRlT7aMOulCa8tCnhyzQ_ll8.3jaqtlV66ZY1q2RvGc6bUol
 0wW2GC5FEl54pKEHXyWnaN2l6kIO1OgfCOXmyoeGy0QDqzsncwjoTKeyxDwrEO3PoFzg-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic313.consmr.mail.ne1.yahoo.com with HTTP; Tue, 25 Oct 2022 09:58:17 +0000
Received: by hermes--production-sg3-74fb94585-65f2n (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID 2282a151ef0b48307512cc6050ced3c3; 
 Tue, 25 Oct 2022 09:58:10 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: purity.piped@HIDDEN
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
In-Reply-To: <NFDFQyP--3-9@HIDDEN> (purity piped's message of "Tue, 25 Oct
 2022 10:28:21 +0200 (CEST)")
References: <NF9xY1Q--3-9@HIDDEN> <87y1t43fkb.fsf@HIDDEN>
 <NFCUgqi--3-9@HIDDEN> <87tu3s2vtn.fsf@HIDDEN>
 <NFD5mZ9--3-9@HIDDEN> <87lep42unz.fsf@HIDDEN>
 <NFDFQyP--3-9@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
Date: Tue, 25 Oct 2022 17:58:06 +0800
Message-ID: <87fsfc2pjl.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20754
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 524
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

[Please use "Reply All" to reply to messages, so that they can be
recorded in the bug tracker.]

purity.piped@HIDDEN writes:

> greetings.
> attached to this mail it's the new log, and the following is that in a pastebin:
> https://termbin.com/4o84
> hope this helps. Awaiting for further instructions.
> thanks a million.

AFAIU, several bugs in this area of the bidi code were fixed in Emacs 29
(the master branch.)  Could you see if a build from that branch of the
Emacs repository still exhibits this problem?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefankangas@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 58767 <at> debbugs.gnu.org:


Received: (at 58767) by debbugs.gnu.org; 25 Oct 2022 00:36:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 20:36:33 2022
Received: from localhost ([127.0.0.1]:49782 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1on7vk-0007kj-TT
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 20:36:33 -0400
Received: from sonic303-22.consmr.mail.ne1.yahoo.com ([66.163.188.148]:40983)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1on7vd-0007kP-UG
 for 58767 <at> debbugs.gnu.org; Mon, 24 Oct 2022 20:36:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666658178; bh=Ph8pcOSWQLWpDfEh9jgca2npp/7dq1Vblmkw4hH011E=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=qkcBYiEq5foHstjLOG26xdpPKxORv0JrqaG/yjKFR1eK/fMu76CXMNUXkl4y4bh/F+r/RHcTsJVgUPR7Rnl6IVFDMieweTcmBY3gbeJRe6kLUGGARISfRTbXZEYbhJY4RfHOL3uV2K4ttYCzWe4YzcOZTRipmNN0f4KSp+7JpYqdfxpvBYO9SSPGc9aJIIhiFtweUnKtQG4p8zyNE9Kpi0pD8Dry4kcI9EX9zw4kaI+mFRYDKaZCUJKz5PEdd8mESwFD7i8EhZDX/v0R3fEzZK05ys75MAMWWTRRCHhAYvI2p3p4iyVXP+l6PIHb92NkFX9GjSVUCQ48fXAVcCmc1A==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1666658178; bh=nmCRUt8iN9nDxkQmt7gYv0Nump9RiJglUavy+ZdaK2Y=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=aeFk8Iztp/Gm4TPO5JlKO6SD8jCMcoMSKtNqlcJh8v7Kbl2/0N+Sr6qIMIT3hg7bymAQ/5Oz1M/q+Aw72wT2MtrUasBCHr8WwiMi87rvqaFVx8OI0TJZq0t4gf2z4ToeW2+edFaBWD0qP2l8N88m50x38csDtKRh4ibJuyWDNe8w8bIAgwaRDeCREQgc+brupc/Xg/rHYSqiNWLUcg6jz7cqNxRX2oRWDPLHMa6xKwp2ZQGJj40hAlwtCDRqIFlK9MJbi8defyYXjIVaSszbseetA4bbT2qyWmESxNRYXhB/oBBmwpT8u4wayyegU+Hc+zutiQMEcANGqnYjx0hUnw==
X-YMail-OSG: dXk_Th4VM1k5TEzXIi7aJLNnmhfJv12xZW93wGL0ThD4UC4UwVea6ITdq4C8tiu
 EfiLS9ItiDb3l481ubU7K2gk4cj6p1g7TxlEq_REh4t._lCGyNEdgZX9tE_EOxWdycvi4GeC_Ljw
 c5pBpkZtLx6vJBrzuXZB8WYgr5hSbFYQGkD9isVJAxUzThdOMXeHZeaLHJPMe5hJJLNNUbcri3oQ
 Q73kaoeDoX.gRvSqCN2FENEyunXZWxrc6obkfhEJBijt6WUbrfCeBapVeZOeu.j3VNyNZIwlqkAo
 f4uM2O1lp9tbmCqip72HAG_HgrnixdLlH8pbs1NMD0G6sAMAEKBiWcPd1AuwTFwmvwtS6FgE6SNy
 N2m4Ia3cTaWZ3023hrpDveYwAA.R2m33FNY9LdCc25ASNoiV8mpGIDUxAY_VfG0gGs_dHmpREnkZ
 _pIau0U9Ncro9iZ7EoxPMgr6CREqtzU9xbC2ijOdd6sWDDYIXvQa5oK5Fkq8EgcityxqbBlH2t8c
 hEkLcDlxSDFcFc0l8sNOvmPzA_wvLIrfZK_f9.ahRqu2j2DZ1SVoSjL1Eicf8S0VcHULCyeGu1ZI
 WWpPntgiwpaut0cCeg8ddf1xfEfwpPzHrqip8Ha19cRd9J8RuvBfm7_yJg8MLZNt.kF0GBJ56WI7
 Hmt_igfi9FIBb0c5ywe1DEbQkbJ0VAvsD.liC2GkKflByeMI6iGxR8TW4CK0ehvZXIVXCYU_JyrO
 y.gZtA9RKmZHUw4msAfSlbFvCNyyUI34MF.eDWmb..0GHJ1hCG.7_RHSaf__8E8DldfIlUMv7c6s
 NmyxQBlg.89TgV8i1zNEG4DAUbDUd5sxUac_4rbkc4XrWfowdSGHAKvNUi0GFWtAURwIsdVj209H
 8C6OctdYMEaNCpo1nNz09DyEpuF8fPy4rrkxWKNikg5sBMe2dZj1ZzgrH7wcyF1M4Oroc202ivDE
 if.DC2GMO1EMpgcDzRiDwSRtT.e5hSDWeuisIiEdb965xOgM7aFFPlYam7ABES4i5.jQV7K4fWRt
 YCKax20ZfmcnyV753A_cS8WUNLyPo3hKEaK2pc9PsJpaNUux59IrIa2q3Ke1PZFasjY2M5u7oLZn
 yoErlh0TeowYNhmRcsAPA8D8IFE1AIacL6OoadassazlghTXHJV8dCqHxtNiOIBJcJrE.uV8w9OZ
 5AiPa_d1JOatCQDMsqM4TJmyj6VPff4Iq53POevLmSPBXBkR3oc55V_Y3y8SG0fGg5aNryFBrs_q
 1Y3Ca9Ro8925xWYv1D.eMZCFVpsrKvCMl_3BmVWBZ3S2F_rELq9O4G8x6KV_J8QmTEiHSMYn29SY
 KS4uUH.wR9DnATPEY4Olswh1MWhdlAPHPQR9MOdWOjaSh8bNKjDEis77aD4Y9J6nOeXiTmMxqPpB
 2YHlLj6Iaodue7yaM.9dthtXQyyFeEV5l9nAD3Wxcb8yfuA_4qQlAtDAkQnau.ejl7DTKNCt5MNr
 Acj1OccJkq.HTdUDVa3vY_d6O8wX9nSJP1LLYMPf1itfxr7OOyPr3xCcVWxAXUePdlGLa4YFAkHR
 inGoj14nalDgxwl0DZrHUQ02iIcLfveZ4.KFfw1D1K9uoZVQzy1pIkj.Sh6sFOfJf0zYZsLcKFH7
 NrPYNvkVIu6xhMTTirQapNWRIFjib7I4lblpJCRhCzzwWkqsgOfdT33_konCNcV075OHm08l8EbB
 eN4xFWZP.LjDnTK9D6z88zkHkCzbnpoOlTdY6xsmTJqrlJ6YxBTRTCfZjykvCTqwgdVbKYpV7zdo
 8av1YXNfyByJxRAvVLjBj0NQugHhmxxS42J1mtOWAmUfJBc3l7OPL3kE.8vCE2_dsZCRh.rrIecB
 NoagTTatd96Od3G3Ewknlmq2lSSZm9TKQM_3zrV1lqSPMyX9A58zxShjiRXhGKJQTV1apGIO2FqV
 znnxaMXEMiykDn2kFE2kH1GoBbYnF4HTmP9zb48W58zkIbe_EIsbR.jQnFZJ_xHJsi_z0ZmHu8fU
 q8sCAD0xG3_K3o1CBu1hb.zEq2Xyg6Ng057vnv4DHD1GMEMRl_Dczi34NNmTWfe66HoHLLFntj6g
 M1lO4P8YpfyMWz4ykj4bYfunRhgjQ3lXvcmc6oSx5GXAo6d9V70k8VL1v6v2Lztw.HDV8XXvcw0k
 4bgvFLAvEiBjpdTfXcBPMgwrCnkDhpi45_YfemhtJ26NEbyank83KLAMZRsjegxzDPmCtC4Ia9gy
 3YIIbkhRTI3DMPg51tCGiR9KJ3b6oGRY_VRWV1XAdYd0VxDBF1v6rBKWbPM56lQ--
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic303.consmr.mail.ne1.yahoo.com with HTTP; Tue, 25 Oct 2022 00:36:18 +0000
Received: by hermes--production-sg3-74fb94585-btmps (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID bc5da0efb6215b3d644a5a0530379c9f; 
 Tue, 25 Oct 2022 00:36:11 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Marco <purity.piped@HIDDEN>
Subject: Re: bug#58767: telega makes emacs crash (under an EXWM session?)
In-Reply-To: <NF9xY1Q--3-9@HIDDEN> (Marco's message of "Mon, 24 Oct 2022
 19:07:00 +0200 (CEST)")
References: <NF9xY1Q--3-9@HIDDEN>
Date: Tue, 25 Oct 2022 08:36:04 +0800
Message-ID: <87y1t43fkb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.20754
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 465
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 58767
Cc: 58767 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Marco <purity.piped@HIDDEN> writes:

> telega makes emacs crash as a whole. I'm still testing if that is the
> case in a non EXWM session, but it seems that it's inconsistent.
>
> I'd be happy to attach any log that's needed.  P.s. pardon me, but
> this is my first time reporting a bug. I'd be happy to be instructed
> on how to help and/or troubleshoot.

Thanks.  If you run "coredumpctl debug emacs", and then "bt" in the
resulting GDB prompt, what is printed?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 24 Oct 2022 18:20:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Oct 24 14:20:19 2022
Received: from localhost ([127.0.0.1]:49528 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1on23c-0006DP-Nf
	for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 14:20:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:38620)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <purity.piped@HIDDEN>) id 1on0ur-0004Nf-M0
 for submit <at> debbugs.gnu.org; Mon, 24 Oct 2022 13:07:12 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <purity.piped@HIDDEN>)
 id 1on0ur-0001qK-7d
 for bug-gnu-emacs@HIDDEN; Mon, 24 Oct 2022 13:07:09 -0400
Received: from w4.tutanota.de ([81.3.6.165])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <purity.piped@HIDDEN>)
 id 1on0ul-0000gD-Uz
 for bug-gnu-emacs@HIDDEN; Mon, 24 Oct 2022 13:07:08 -0400
Received: from tutadb.w10.tutanota.de (unknown [192.168.1.10])
 by w4.tutanota.de (Postfix) with ESMTP id 5B7971060147
 for <bug-gnu-emacs@HIDDEN>; Mon, 24 Oct 2022 17:07:00 +0000 (UTC)
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; t=1666631220; 
 s=s1; d=tuta.io;
 h=From:From:To:To:Subject:Subject:Content-Description:Content-ID:Content-Type:Content-Type:Content-Transfer-Encoding:Cc:Date:Date:In-Reply-To:MIME-Version:MIME-Version:Message-ID:Message-ID:Reply-To:References:Sender;
 bh=fjP2WHNNFm9ivasr3fdWp4vR7mOJ6K1W5SeAj/cDcm0=;
 b=drww1rgebCll7vjkz3812AecP1YoOK8a3RAHIofl9yGXoDHQGcF4vgpG9hoJ9/6Q
 euzb8IJtNwaNn4iJy05onbZa982Oi1dq2DCm1QlRy+kivXj8mMWe+22hD1UuC3MsDF5
 ia7YWI7yYUXTCzk5sjBBpGRVe4uKD8i5qGBOAT6ViWnD6HiHr8fqGGlgjoaYrVTzZsz
 bNUXtjuNkV3ud93V+9RAKHrwT4+ehQ6ucmdgs21c4PKOgDxW+yu84k6UCwb1Y9Qngdb
 2nnTTuXfRZ5StjJHDRjEqgNi2nqEAIbLnJQyRbNEVPDbsZpO6CWhsGKRogxSvgo4Oyd
 WKVhkYMs1g==
Date: Mon, 24 Oct 2022 19:07:00 +0200 (CEST)
From: Marco <purity.piped@HIDDEN>
To: Bug Gnu Emacs <bug-gnu-emacs@HIDDEN>
Message-ID: <NF9xY1Q--3-9@HIDDEN>
Subject: telega makes emacs crash (under an EXWM session?)
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_39950_1158401541.1666631220366"
Received-SPF: pass client-ip=81.3.6.165; envelope-from=purity.piped@HIDDEN;
 helo=w4.tutanota.de
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 24 Oct 2022 14:20:15 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

------=_Part_39950_1158401541.1666631220366
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable


telega makes emacs crash as a whole. I'm still testing if that is the case =
in a non EXWM session, but it seems that it's inconsistent.



I'd be happy to attach any log that's needed.
 P.s. pardon me, but this is my first time reporting a bug. I'd be happy to=
 be instructed on how to help and/or troubleshoot.




best regards.
=20
 In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cai=
ro version 1.17.6)
 =C2=A0of 2022-09-12 built on orion
 Windowing system distributor 'The X.Org Foundation', version 11.0.12101004
 System Description: Artix Linux
=20
 Configured using:
 =C2=A0'configure --sysconfdir=3D/etc --prefix=3D/usr --libexecdir=3D/usr/l=
ib
 =C2=A0--localstatedir=3D/var --with-cairo --with-harfbuzz --with-libsystem=
d=3Dno
 =C2=A0--with-modules --with-x-toolkit=3Dgtk3 'CFLAGS=3D-march=3Dx86-64
 =C2=A0-mtune=3Dgeneric -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOUR=
CE=3D2
 =C2=A0-Wformat -Werror=3Dformat-security -fstack-clash-protection
 =C2=A0-fcf-protection -g -ffile-prefix-map=3D/build/emacs/src=3D/usr/src/d=
ebug
 =C2=A0-flto=3Dauto' 'LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,=
-z,now
 =C2=A0-flto=3Dauto''
=20
 Configured features:
 ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
 JSON LCMS2 LIBOTF LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG
 RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM
 GTK3 ZLIB
=20
 Important settings:
 =C2=A0 value of $LC_ALL: en_US.UTF-8
 =C2=A0 value of $LC_COLLATE:
 =C2=A0 value of $LC_CTYPE:
 =C2=A0 value of $LC_MESSAGES:
 =C2=A0 value of $LC_MONETARY:
 =C2=A0 value of $LC_NUMERIC:
 =C2=A0 value of $LC_TIME:
 =C2=A0 value of $LANG: C
 =C2=A0 locale-coding-system: utf-8-unix
=20
 Major mode: mu4e:main
=20
 Minor modes in effect:
 =C2=A0 save-place-mode: t
 =C2=A0 global-so-long-mode: t
 =C2=A0 global-git-commit-mode: t
 =C2=A0 recentf-mode: t
 =C2=A0 shell-dirtrack-mode: t
 =C2=A0 yas-global-mode: t
 =C2=A0 which-key-mode: t
 =C2=A0 savehist-mode: t
 =C2=A0 better-jumper-mode: t
 =C2=A0 better-jumper-local-mode: t
 =C2=A0 global-company-mode: t
 =C2=A0 vertico-mode: t
 =C2=A0 marginalia-mode: t
 =C2=A0 volatile-highlights-mode: t
 =C2=A0 gcmh-mode: t
 =C2=A0 winner-mode: t
 =C2=A0 smartparens-global-mode: t
 =C2=A0 ws-butler-global-mode: t
 =C2=A0 global-emojify-mode: t
 =C2=A0 emojify-mode: t
 =C2=A0 global-undo-fu-session-mode: t
 =C2=A0 undo-fu-mode: t
 =C2=A0 persp-mode: t
 =C2=A0 solaire-global-mode: t
 =C2=A0 global-dot-mode: t
 =C2=A0 mu4e-search-minor-mode: t
 =C2=A0 global-hl-line-mode: t
 =C2=A0 hl-line-mode: t
 =C2=A0 mu4e-update-minor-mode: t
 =C2=A0 mu4e-context-minor-mode: t
 =C2=A0 feebleline-mode: t
 =C2=A0 xmobar-mode: t
 =C2=A0 delete-selection-mode: t
 =C2=A0 projectile-mode: t
 =C2=A0 global-flycheck-mode: t
 =C2=A0 +popup-mode: t
 =C2=A0 override-global-mode: t
 =C2=A0 general-override-mode: t
 =C2=A0 global-eldoc-mode: t
 =C2=A0 show-paren-mode: t
 =C2=A0 electric-indent-mode: t
 =C2=A0 mouse-wheel-mode: t
 =C2=A0 file-name-shadow-mode: t
 =C2=A0 global-font-lock-mode: t
 =C2=A0 window-divider-mode: t
 =C2=A0 auto-composition-mode: t
 =C2=A0 auto-encryption-mode: t
 =C2=A0 auto-compression-mode: t
 =C2=A0 buffer-read-only: t
 =C2=A0 line-number-mode: t
 =C2=A0 transient-mark-mode: t
 =C2=A0 overwrite-mode: overwrite-mode-binary
=20
 Load-path shadows:
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/git-modes/gitign=
ore-mode hides /home/doctor-sex/.config/emacs/.local/straight/build-28.2/gi=
tignore-mode/gitignore-mode
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/git-modes/gitcon=
fig-mode hides /home/doctor-sex/.config/emacs/.local/straight/build-28.2/gi=
tconfig-mode/gitconfig-mode
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/tablist/tablist-=
filter hides /usr/share/emacs/site-lisp/tablist-filter
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/tablist/tablist =
hides /usr/share/emacs/site-lisp/tablist
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-ca=
che hides /usr/share/emacs/site-lisp/pdf-tools/pdf-cache
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-mi=
sc hides /usr/share/emacs/site-lisp/pdf-tools/pdf-misc
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-oc=
cur hides /usr/share/emacs/site-lisp/pdf-tools/pdf-occur
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-vi=
rtual hides /usr/share/emacs/site-lisp/pdf-tools/pdf-virtual
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-hi=
story hides /usr/share/emacs/site-lisp/pdf-tools/pdf-history
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-sy=
nc hides /usr/share/emacs/site-lisp/pdf-tools/pdf-sync
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-li=
nks hides /usr/share/emacs/site-lisp/pdf-tools/pdf-links
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-to=
ols hides /usr/share/emacs/site-lisp/pdf-tools/pdf-tools
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-ou=
tline hides /usr/share/emacs/site-lisp/pdf-tools/pdf-outline
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-de=
v hides /usr/share/emacs/site-lisp/pdf-tools/pdf-dev
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-lo=
ader hides /usr/share/emacs/site-lisp/pdf-tools/pdf-loader
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-is=
earch hides /usr/share/emacs/site-lisp/pdf-tools/pdf-isearch
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-ma=
cs hides /usr/share/emacs/site-lisp/pdf-tools/pdf-macs
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-an=
not hides /usr/share/emacs/site-lisp/pdf-tools/pdf-annot
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-ut=
il hides /usr/share/emacs/site-lisp/pdf-tools/pdf-util
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-vi=
ew hides /usr/share/emacs/site-lisp/pdf-tools/pdf-view
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-in=
fo hides /usr/share/emacs/site-lisp/pdf-tools/pdf-info
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/transient/transi=
ent hides /usr/share/emacs/28.2/lisp/transient
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/xref/xref hides =
/usr/share/emacs/28.2/lisp/progmodes/xref
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/project/project =
hides /usr/share/emacs/28.2/lisp/progmodes/project
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-groovy hi=
des /usr/share/emacs/28.2/lisp/org/ob-groovy
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-bbdb hide=
s /usr/share/emacs/28.2/lisp/org/ol-bbdb
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol hides /us=
r/share/emacs/28.2/lisp/org/ol
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-datetree=
 hides /usr/share/emacs/28.2/lisp/org/org-datetree
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-shell hid=
es /usr/share/emacs/28.2/lisp/org/ob-shell
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-odt hides=
 /usr/share/emacs/28.2/lisp/org/ox-odt
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-habit hi=
des /usr/share/emacs/28.2/lisp/org/org-habit
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-mobile h=
ides /usr/share/emacs/28.2/lisp/org/org-mobile
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/oc-natbib hi=
des /usr/share/emacs/28.2/lisp/org/oc-natbib
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-eshell hi=
des /usr/share/emacs/28.2/lisp/org/ol-eshell
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-man hides=
 /usr/share/emacs/28.2/lisp/org/ox-man
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-pcomplet=
e hides /usr/share/emacs/28.2/lisp/org/org-pcomplete
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-irc hides=
 /usr/share/emacs/28.2/lisp/org/ol-irc
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-core hide=
s /usr/share/emacs/28.2/lisp/org/ob-core
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-element =
hides /usr/share/emacs/28.2/lisp/org/org-element
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/oc hides /us=
r/share/emacs/28.2/lisp/org/oc
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-html hide=
s /usr/share/emacs/28.2/lisp/org/ox-html
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-ctags hi=
des /usr/share/emacs/28.2/lisp/org/org-ctags
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-C hides /=
usr/share/emacs/28.2/lisp/org/ob-C
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-java hide=
s /usr/share/emacs/28.2/lisp/org/ob-java
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob hides /us=
r/share/emacs/28.2/lisp/org/ob
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/oc-basic hid=
es /usr/share/emacs/28.2/lisp/org/oc-basic
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-dot hides=
 /usr/share/emacs/28.2/lisp/org/ob-dot
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-table hi=
des /usr/share/emacs/28.2/lisp/org/org-table
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-entities=
 hides /usr/share/emacs/28.2/lisp/org/org-entities
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-clock hi=
des /usr/share/emacs/28.2/lisp/org/org-clock
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-makefile =
hides /usr/share/emacs/28.2/lisp/org/ob-makefile
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-eshell hi=
des /usr/share/emacs/28.2/lisp/org/ob-eshell
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-mhe hides=
 /usr/share/emacs/28.2/lisp/org/ol-mhe
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-colview =
hides /usr/share/emacs/28.2/lisp/org/org-colview
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-calc hide=
s /usr/share/emacs/28.2/lisp/org/ob-calc
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-ocaml hid=
es /usr/share/emacs/28.2/lisp/org/ob-ocaml
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sqlite hi=
des /usr/share/emacs/28.2/lisp/org/ob-sqlite
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-goto hid=
es /usr/share/emacs/28.2/lisp/org/org-goto
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-tempo hi=
des /usr/share/emacs/28.2/lisp/org/org-tempo
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-org hides=
 /usr/share/emacs/28.2/lisp/org/ox-org
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-feed hid=
es /usr/share/emacs/28.2/lisp/org/org-feed
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-lua hides=
 /usr/share/emacs/28.2/lisp/org/ob-lua
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-css hides=
 /usr/share/emacs/28.2/lisp/org/ob-css
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-macro hi=
des /usr/share/emacs/28.2/lisp/org/org-macro
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-octave hi=
des /usr/share/emacs/28.2/lisp/org/ob-octave
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-fortran h=
ides /usr/share/emacs/28.2/lisp/org/ob-fortran
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-koma-lett=
er hides /usr/share/emacs/28.2/lisp/org/ox-koma-letter
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-screen hi=
des /usr/share/emacs/28.2/lisp/org/ob-screen
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-latex hid=
es /usr/share/emacs/28.2/lisp/org/ox-latex
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-lob hides=
 /usr/share/emacs/28.2/lisp/org/ob-lob
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-eww hides=
 /usr/share/emacs/28.2/lisp/org/ol-eww
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-bibtex hi=
des /usr/share/emacs/28.2/lisp/org/ol-bibtex
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-python hi=
des /usr/share/emacs/28.2/lisp/org/ob-python
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-haskell h=
ides /usr/share/emacs/28.2/lisp/org/ob-haskell
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/oc-biblatex =
hides /usr/share/emacs/28.2/lisp/org/oc-biblatex
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-plot hid=
es /usr/share/emacs/28.2/lisp/org/org-plot
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-gnus hide=
s /usr/share/emacs/28.2/lisp/org/ol-gnus
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-indent h=
ides /usr/share/emacs/28.2/lisp/org/org-indent
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-compat h=
ides /usr/share/emacs/28.2/lisp/org/org-compat
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-footnote=
 hides /usr/share/emacs/28.2/lisp/org/org-footnote
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-docview h=
ides /usr/share/emacs/28.2/lisp/org/ol-docview
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-table hid=
es /usr/share/emacs/28.2/lisp/org/ob-table
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox hides /us=
r/share/emacs/28.2/lisp/org/ox
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/oc-csl hides=
 /usr/share/emacs/28.2/lisp/org/oc-csl
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-julia hid=
es /usr/share/emacs/28.2/lisp/org/ob-julia
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-scheme hi=
des /usr/share/emacs/28.2/lisp/org/ob-scheme
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-duration=
 hides /usr/share/emacs/28.2/lisp/org/org-duration
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-src hide=
s /usr/share/emacs/28.2/lisp/org/org-src
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-lint hid=
es /usr/share/emacs/28.2/lisp/org/org-lint
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-lisp hide=
s /usr/share/emacs/28.2/lisp/org/ob-lisp
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-awk hides=
 /usr/share/emacs/28.2/lisp/org/ob-awk
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-md hides =
/usr/share/emacs/28.2/lisp/org/ox-md
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-publish h=
ides /usr/share/emacs/28.2/lisp/org/ox-publish
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-info hide=
s /usr/share/emacs/28.2/lisp/org/ol-info
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-w3m hides=
 /usr/share/emacs/28.2/lisp/org/ol-w3m
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-exp hides=
 /usr/share/emacs/28.2/lisp/org/ob-exp
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sql hides=
 /usr/share/emacs/28.2/lisp/org/ob-sql
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-ascii hid=
es /usr/share/emacs/28.2/lisp/org/ox-ascii
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-ruby hide=
s /usr/share/emacs/28.2/lisp/org/ob-ruby
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sass hide=
s /usr/share/emacs/28.2/lisp/org/ob-sass
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-id hides=
 /usr/share/emacs/28.2/lisp/org/org-id
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-crypt hi=
des /usr/share/emacs/28.2/lisp/org/org-crypt
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org hides /u=
sr/share/emacs/28.2/lisp/org/org
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-attach-g=
it hides /usr/share/emacs/28.2/lisp/org/org-attach-git
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-emacs-lis=
p hides /usr/share/emacs/28.2/lisp/org/ob-emacs-lisp
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-clojure h=
ides /usr/share/emacs/28.2/lisp/org/ob-clojure
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-texinfo h=
ides /usr/share/emacs/28.2/lisp/org/ox-texinfo
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-refile h=
ides /usr/share/emacs/28.2/lisp/org/org-refile
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-capture =
hides /usr/share/emacs/28.2/lisp/org/org-capture
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sed hides=
 /usr/share/emacs/28.2/lisp/org/ob-sed
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-js hides =
/usr/share/emacs/28.2/lisp/org/ob-js
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-matlab hi=
des /usr/share/emacs/28.2/lisp/org/ob-matlab
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-keys hid=
es /usr/share/emacs/28.2/lisp/org/org-keys
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-protocol=
 hides /usr/share/emacs/28.2/lisp/org/org-protocol
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-forth hid=
es /usr/share/emacs/28.2/lisp/org/ob-forth
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-plantuml =
hides /usr/share/emacs/28.2/lisp/org/ob-plantuml
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-lilypond =
hides /usr/share/emacs/28.2/lisp/org/ob-lilypond
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-perl hide=
s /usr/share/emacs/28.2/lisp/org/ob-perl
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-archive =
hides /usr/share/emacs/28.2/lisp/org/org-archive
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-man hides=
 /usr/share/emacs/28.2/lisp/org/ol-man
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-beamer hi=
des /usr/share/emacs/28.2/lisp/org/ox-beamer
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-timer hi=
des /usr/share/emacs/28.2/lisp/org/org-timer
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-loaddefs=
 hides /usr/share/emacs/28.2/lisp/org/org-loaddefs
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-num hide=
s /usr/share/emacs/28.2/lisp/org/org-num
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-eval hide=
s /usr/share/emacs/28.2/lisp/org/ob-eval
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-ref hides=
 /usr/share/emacs/28.2/lisp/org/ob-ref
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-latex hid=
es /usr/share/emacs/28.2/lisp/org/ob-latex
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-mouse hi=
des /usr/share/emacs/28.2/lisp/org/org-mouse
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-icalendar=
 hides /usr/share/emacs/28.2/lisp/org/ox-icalendar
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-ditaa hid=
es /usr/share/emacs/28.2/lisp/org/ob-ditaa
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-doi hides=
 /usr/share/emacs/28.2/lisp/org/ol-doi
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-attach h=
ides /usr/share/emacs/28.2/lisp/org/org-attach
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-comint hi=
des /usr/share/emacs/28.2/lisp/org/ob-comint
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-agenda h=
ides /usr/share/emacs/28.2/lisp/org/org-agenda
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-rmail hid=
es /usr/share/emacs/28.2/lisp/org/ol-rmail
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-inlineta=
sk hides /usr/share/emacs/28.2/lisp/org/org-inlinetask
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-tangle hi=
des /usr/share/emacs/28.2/lisp/org/ob-tangle
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-faces hi=
des /usr/share/emacs/28.2/lisp/org/org-faces
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-maxima hi=
des /usr/share/emacs/28.2/lisp/org/ob-maxima
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-processin=
g hides /usr/share/emacs/28.2/lisp/org/ob-processing
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-R hides /=
usr/share/emacs/28.2/lisp/org/ob-R
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-list hid=
es /usr/share/emacs/28.2/lisp/org/org-list
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-macs hid=
es /usr/share/emacs/28.2/lisp/org/org-macs
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-org hides=
 /usr/share/emacs/28.2/lisp/org/ob-org
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-gnuplot h=
ides /usr/share/emacs/28.2/lisp/org/ob-gnuplot
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-version =
hides /usr/share/emacs/28.2/lisp/org/org-version
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/map/map hides /u=
sr/share/emacs/28.2/lisp/emacs-lisp/map
=20
 Features:
 (shadow disp-table whitespace vi-tilde-fringe display-line-numbers
 highlight-indent-guides adaptive-wrap auto-minor-mode saveplace so-long
 emacsbug vertico-directory magit-todos pcre2el rxt re-builder hl-todo
 async magit-bookmark magit-autoloads magit-submodule magit-obsolete
 magit-popup magit-blame magit-stash magit-reflog magit-bisect magit-push
 magit-pull magit-fetch magit-clone magit-remote magit-commit
 magit-sequence magit-notes magit-worktree magit-tag magit-merge
 magit-branch magit-reset magit-files magit-refs magit-status magit
 magit-repos magit-apply magit-wip magit-log which-func magit-diff
 smerge-mode diff magit-core magit-autorevert magit-margin
 magit-transient magit-process magit-mode git-commit magit-git magit-base
 magit-section crm compat-27 compat-26 transient log-edit pcvs-util
 add-log with-editor flycheck-popup-tip popup consult-flycheck
 consult-vertico consult compat-28 compat recentf shell f f-shortdoc
 shortdoc doom-snippets doom-snippets-lib yasnippet elisp-mode
 cursor-sensor vertico-repeat which-key savehist better-jumper
 company-capf company vertico orderless marginalia etags fileloop xref
 volatile-highlights tree-widget nav-flash pulse gcmh winner
 smartparens-config smartparens-text smartparens ws-butler emojify
 apropos tar-mode arc-mode archive-mode undo-fu-session undo-fu
 autorevert filenotify persp-mode dtrt-indent doom-themes-ext-neotree
 doom-themes-ext-org solaire-mode face-remap monochrome-theme wand
 wand-helper cl exwm-randr xcb-randr exwm exwm-input xcb-keysyms xcb-xkb
 exwm-manage exwm-floating xcb-cursor xcb-render exwm-layout
 exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb xcb-xproto xcb-types
 xcb-debug server dot-mode god-mode mu4e-alert advice time ht s alert
 log4e notifications gntp org-msg color ox-odt rng-loc rng-uri rng-parse
 rng-match rng-dt rng-util rng-pttrn nxml-parse nxml-ns nxml-enc xmltok
 nxml-util ox-latex ox-icalendar org-agenda ox-ascii ox-md ox-html table
 ox-publish ox htmlize gnus-msg gnus-icalendar org-capture icalendar
 diary-lib diary-loaddefs gnus-dired gnus-cite all-the-icons
 all-the-icons-faces data-material data-weathericons data-octicons
 data-fileicons data-faicons data-alltheicons mu4e mu4e-org
 smartparens-org org-yt org-element org-persist xdg org-id org-refile
 avl-tree generator org ob ob-tangle ob-ref ob-lob ob-table ob-exp
 org-macro org-footnote org-src ob-comint org-pcomplete pcomplete
 org-list org-faces org-entities noutline outline ob-emacs-lisp ob-core
 ob-eval org-cycle org-table ol org-fold org-fold-core org-keys oc
 org-loaddefs org-version org-compat org-macs format-spec mu4e-main
 mu4e-view gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum
 gnus-group gnus-undo gnus-start gnus-dbus dbus vc-hg vc-git diff-mode
 vc-svn vc vc-dispatcher project gnus-cloud nnimap nnmail mail-source
 utf7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range
 gnus-win gnus nnheader wid-edit cal-menu calendar cal-loaddefs
 mu4e-headers mu4e-compose mu4e-draft mu4e-actions smtpmail sendmail
 mu4e-search mu4e-lists mu4e-bookmarks mu4e-mark mu4e-message shr kinsoku
 svg xml dom flow-fill mule-util hl-line mu4e-contacts mu4e-update
 mu4e-folders mu4e-server mu4e-context mu4e-vars mu4e-helpers bookmark
 ido message rmc puny dired dired-loaddefs rfc822 mml mml-sec epa derived
 epg rfc6068 epg-config gnus-util rmail rmail-loaddefs time-date
 mm-decode mm-bodies mm-encode mailabbrev mail-utils gmm-utils mailheader
 feebleline use-package-ensure xmobar delsel projectile grep compile
 text-property-search comint ring ibuf-ext ibuffer ibuffer-loaddefs
 thingatpt mu4e-config html2text flycheck-package package-lint imenu
 finder finder-inf lisp-mnt mail-parse rfc2231 rfc2047 rfc2045 mm-util
 ietf-drums mail-prsvr doom-packages package browse-url url url-proxy
 url-privacy url-expand url-methods url-history url-cookie url-domsuf
 url-util mailcap url-handlers url-parse auth-source eieio eieio-core
 eieio-loaddefs password-cache url-vars flycheck-clj-kondo flycheck
 ansi-color json map find-func dash let-alist use-package-bind-key
 bind-key edmacro kmacro doom-editor doom-projects doom-ui easy-mmode
 doom-keybinds pp cl-extra help-mode seq byte-opt use-package-core
 bytecomp byte-compile cconv general rx doom-start doom-modules cl-seq
 doom doom-lib cl-macs gv cl-loaddefs cl-lib pcase jansson
 dynamic-modules subr-x iso-transl tooltip eldoc paren electric uniquify
 ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
 term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
 tabulated-list replace newcomment text-mode prog-mode register page
 tab-bar menu-bar rfn-eshadow isearch easymenu timer select scroll-bar
 mouse jit-lock font-lock syntax font-core term/tty-colors frame
 minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
 tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
 romanian slovak czech european ethiopic indian cyrillic chinese
 composite emoji-zwj charscript charprop case-table epa-hook
 jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
 loaddefs faces cus-face macroexp files window text-properties overlay
 sha1 md5 base64 format env code-pages mule custom widget
 hashtable-print-readable backquote threads dbusbind inotify lcms2
 dynamic-setting system-font-setting font-render-setting cairo
 move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)
=20
 Memory information:
 ((conses 16 679894 524641)
 =C2=A0(symbols 48 77657 59)
 =C2=A0(strings 32 249322 47472)
 =C2=A0(string-bytes 1 7094149)
 =C2=A0(vectors 16 138835)
 =C2=A0(vector-slots 8 3821957 352725)
 =C2=A0(floats 8 1072 2322)
 =C2=A0(intervals 56 5730 2533)
 =C2=A0(buffers 992 16))
=20


mandato con Tutanota. perdonate la mia non-professionalit=C3=A0.
sent with Tutanota. Please forgive my lack of professionality.=C2=A0

[[to any NSA and FBI agents reading my emails: please consider the followin=
g:]]
[[defending the US constitution against all enemies requires you to follow =
Edward Snowden <https://en.wikipedia.org/wiki/Edward_Snowden>'s example ]]

------=_Part_39950_1158401541.1666631220366
Content-Type: text/html; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

<html>
  <head>
    <meta http-equiv=3D"content-type" content=3D"text/html; charset=3DUTF-8=
">
  </head>
  <body>
<p>telega makes emacs crash as a whole. I'm still testing if that is the
 case in a non EXWM session, but it seems that it's inconsistent.<br></p><p=
></p><div>I'd be happy to attach any log that's needed.<br></div><div> P.s.=
 pardon me, but this is my first time reporting a bug. I'd be happy to be i=
nstructed on how to help and/or troubleshoot.<br></div><p></p><p></p><div>b=
est regards.<br></div><div> <br></div><div> In GNU Emacs 28.2 (build 1, x86=
_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.17.6)<br></div><div=
> &nbsp;of 2022-09-12 built on orion<br></div><div> Windowing system distri=
butor 'The X.Org Foundation', version 11.0.12101004<br></div><div> System D=
escription: Artix Linux<br></div><div> <br></div><div> Configured using:<br=
></div><div> &nbsp;'configure --sysconfdir=3D/etc --prefix=3D/usr --libexec=
dir=3D/usr/lib<br></div><div> &nbsp;--localstatedir=3D/var --with-cairo --w=
ith-harfbuzz --with-libsystemd=3Dno<br></div><div> &nbsp;--with-modules --w=
ith-x-toolkit=3Dgtk3 'CFLAGS=3D-march=3Dx86-64<br></div><div> &nbsp;-mtune=
=3Dgeneric -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3D2<br></d=
iv><div> &nbsp;-Wformat -Werror=3Dformat-security -fstack-clash-protection<=
br></div><div> &nbsp;-fcf-protection -g -ffile-prefix-map=3D/build/emacs/sr=
c=3D/usr/src/debug<br></div><div> &nbsp;-flto=3Dauto' 'LDFLAGS=3D-Wl,-O1,--=
sort-common,--as-needed,-z,relro,-z,now<br></div><div> &nbsp;-flto=3Dauto''=
<br></div><div> <br></div><div> Configured features:<br></div><div> ACL CAI=
RO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG<br></div><=
div> JSON LCMS2 LIBOTF LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY PDUMPER PNG<=
br></div><div> RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE=
 XIM XPM<br></div><div> GTK3 ZLIB<br></div><div> <br></div><div> Important =
settings:<br></div><div> &nbsp; value of $LC_ALL: en_US.UTF-8<br></div><div=
> &nbsp; value of $LC_COLLATE:<br></div><div> &nbsp; value of $LC_CTYPE:<br=
></div><div> &nbsp; value of $LC_MESSAGES:<br></div><div> &nbsp; value of $=
LC_MONETARY:<br></div><div> &nbsp; value of $LC_NUMERIC:<br></div><div> &nb=
sp; value of $LC_TIME:<br></div><div> &nbsp; value of $LANG: C<br></div><di=
v> &nbsp; locale-coding-system: utf-8-unix<br></div><div> <br></div><div> M=
ajor mode: mu4e:main<br></div><div> <br></div><div> Minor modes in effect:<=
br></div><div> &nbsp; save-place-mode: t<br></div><div> &nbsp; global-so-lo=
ng-mode: t<br></div><div> &nbsp; global-git-commit-mode: t<br></div><div> &=
nbsp; recentf-mode: t<br></div><div> &nbsp; shell-dirtrack-mode: t<br></div=
><div> &nbsp; yas-global-mode: t<br></div><div> &nbsp; which-key-mode: t<br=
></div><div> &nbsp; savehist-mode: t<br></div><div> &nbsp; better-jumper-mo=
de: t<br></div><div> &nbsp; better-jumper-local-mode: t<br></div><div> &nbs=
p; global-company-mode: t<br></div><div> &nbsp; vertico-mode: t<br></div><d=
iv> &nbsp; marginalia-mode: t<br></div><div> &nbsp; volatile-highlights-mod=
e: t<br></div><div> &nbsp; gcmh-mode: t<br></div><div> &nbsp; winner-mode: =
t<br></div><div> &nbsp; smartparens-global-mode: t<br></div><div> &nbsp; ws=
-butler-global-mode: t<br></div><div> &nbsp; global-emojify-mode: t<br></di=
v><div> &nbsp; emojify-mode: t<br></div><div> &nbsp; global-undo-fu-session=
-mode: t<br></div><div> &nbsp; undo-fu-mode: t<br></div><div> &nbsp; persp-=
mode: t<br></div><div> &nbsp; solaire-global-mode: t<br></div><div> &nbsp; =
global-dot-mode: t<br></div><div> &nbsp; mu4e-search-minor-mode: t<br></div=
><div> &nbsp; global-hl-line-mode: t<br></div><div> &nbsp; hl-line-mode: t<=
br></div><div> &nbsp; mu4e-update-minor-mode: t<br></div><div> &nbsp; mu4e-=
context-minor-mode: t<br></div><div> &nbsp; feebleline-mode: t<br></div><di=
v> &nbsp; xmobar-mode: t<br></div><div> &nbsp; delete-selection-mode: t<br>=
</div><div> &nbsp; projectile-mode: t<br></div><div> &nbsp; global-flycheck=
-mode: t<br></div><div> &nbsp; +popup-mode: t<br></div><div> &nbsp; overrid=
e-global-mode: t<br></div><div> &nbsp; general-override-mode: t<br></div><d=
iv> &nbsp; global-eldoc-mode: t<br></div><div> &nbsp; show-paren-mode: t<br=
></div><div> &nbsp; electric-indent-mode: t<br></div><div> &nbsp; mouse-whe=
el-mode: t<br></div><div> &nbsp; file-name-shadow-mode: t<br></div><div> &n=
bsp; global-font-lock-mode: t<br></div><div> &nbsp; window-divider-mode: t<=
br></div><div> &nbsp; auto-composition-mode: t<br></div><div> &nbsp; auto-e=
ncryption-mode: t<br></div><div> &nbsp; auto-compression-mode: t<br></div><=
div> &nbsp; buffer-read-only: t<br></div><div> &nbsp; line-number-mode: t<b=
r></div><div> &nbsp; transient-mark-mode: t<br></div><div> &nbsp; overwrite=
-mode: overwrite-mode-binary<br></div><div> <br></div><div> Load-path shado=
ws:<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.=
2/git-modes/gitignore-mode
 hides=20
/home/doctor-sex/.config/emacs/.local/straight/build-28.2/gitignore-mode/gi=
tignore-mode<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/=
build-28.2/git-modes/gitconfig-mode
 hides=20
/home/doctor-sex/.config/emacs/.local/straight/build-28.2/gitconfig-mode/gi=
tconfig-mode<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/=
build-28.2/tablist/tablist-filter hides /usr/share/emacs/site-lisp/tablist-=
filter<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-=
28.2/tablist/tablist hides /usr/share/emacs/site-lisp/tablist<br></div><div=
> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-c=
ache
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-cache<br></div><div> /home/=
doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-misc hide=
s /usr/share/emacs/site-lisp/pdf-tools/pdf-misc<br></div><div> /home/doctor=
-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-occur
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-occur<br></div><div> /home/=
doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-virtual
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-virtual<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-history
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-history<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-sync hi=
des /usr/share/emacs/site-lisp/pdf-tools/pdf-sync<br></div><div> /home/doct=
or-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-links
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-links<br></div><div> /home/=
doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-tools
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-tools<br></div><div> /home/=
doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-outline
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-outline<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-dev hid=
es /usr/share/emacs/site-lisp/pdf-tools/pdf-dev<br></div><div> /home/doctor=
-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-loader
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-loader<br></div><div> /home=
/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-isearch
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-isearch<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-macs hi=
des /usr/share/emacs/site-lisp/pdf-tools/pdf-macs<br></div><div> /home/doct=
or-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-annot
 hides /usr/share/emacs/site-lisp/pdf-tools/pdf-annot<br></div><div> /home/=
doctor-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-util hide=
s /usr/share/emacs/site-lisp/pdf-tools/pdf-util<br></div><div> /home/doctor=
-sex/.config/emacs/.local/straight/build-28.2/pdf-tools/pdf-view hides /usr=
/share/emacs/site-lisp/pdf-tools/pdf-view<br></div><div> /home/doctor-sex/.=
config/emacs/.local/straight/build-28.2/pdf-tools/pdf-info hides /usr/share=
/emacs/site-lisp/pdf-tools/pdf-info<br></div><div> /home/doctor-sex/.config=
/emacs/.local/straight/build-28.2/transient/transient hides /usr/share/emac=
s/28.2/lisp/transient<br></div><div> /home/doctor-sex/.config/emacs/.local/=
straight/build-28.2/xref/xref hides /usr/share/emacs/28.2/lisp/progmodes/xr=
ef<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2=
/project/project hides /usr/share/emacs/28.2/lisp/progmodes/project<br></di=
v><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-gr=
oovy hides /usr/share/emacs/28.2/lisp/org/ob-groovy<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-bbdb hides /usr/sh=
are/emacs/28.2/lisp/org/ol-bbdb<br></div><div> /home/doctor-sex/.config/ema=
cs/.local/straight/build-28.2/org/ol hides /usr/share/emacs/28.2/lisp/org/o=
l<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/=
org/org-datetree hides /usr/share/emacs/28.2/lisp/org/org-datetree<br></div=
><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-she=
ll hides /usr/share/emacs/28.2/lisp/org/ob-shell<br></div><div> /home/docto=
r-sex/.config/emacs/.local/straight/build-28.2/org/ox-odt hides /usr/share/=
emacs/28.2/lisp/org/ox-odt<br></div><div> /home/doctor-sex/.config/emacs/.l=
ocal/straight/build-28.2/org/org-habit hides /usr/share/emacs/28.2/lisp/org=
/org-habit<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/bu=
ild-28.2/org/org-mobile hides /usr/share/emacs/28.2/lisp/org/org-mobile<br>=
</div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/o=
c-natbib hides /usr/share/emacs/28.2/lisp/org/oc-natbib<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-eshell hides /=
usr/share/emacs/28.2/lisp/org/ol-eshell<br></div><div> /home/doctor-sex/.co=
nfig/emacs/.local/straight/build-28.2/org/ox-man hides /usr/share/emacs/28.=
2/lisp/org/ox-man<br></div><div> /home/doctor-sex/.config/emacs/.local/stra=
ight/build-28.2/org/org-pcomplete hides /usr/share/emacs/28.2/lisp/org/org-=
pcomplete<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/bui=
ld-28.2/org/ol-irc hides /usr/share/emacs/28.2/lisp/org/ol-irc<br></div><di=
v> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-core hi=
des /usr/share/emacs/28.2/lisp/org/ob-core<br></div><div> /home/doctor-sex/=
.config/emacs/.local/straight/build-28.2/org/org-element hides /usr/share/e=
macs/28.2/lisp/org/org-element<br></div><div> /home/doctor-sex/.config/emac=
s/.local/straight/build-28.2/org/oc hides /usr/share/emacs/28.2/lisp/org/oc=
<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/o=
rg/ox-html hides /usr/share/emacs/28.2/lisp/org/ox-html<br></div><div> /hom=
e/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-ctags hides /=
usr/share/emacs/28.2/lisp/org/org-ctags<br></div><div> /home/doctor-sex/.co=
nfig/emacs/.local/straight/build-28.2/org/ob-C hides /usr/share/emacs/28.2/=
lisp/org/ob-C<br></div><div> /home/doctor-sex/.config/emacs/.local/straight=
/build-28.2/org/ob-java hides /usr/share/emacs/28.2/lisp/org/ob-java<br></d=
iv><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob h=
ides /usr/share/emacs/28.2/lisp/org/ob<br></div><div> /home/doctor-sex/.con=
fig/emacs/.local/straight/build-28.2/org/oc-basic hides /usr/share/emacs/28=
.2/lisp/org/oc-basic<br></div><div> /home/doctor-sex/.config/emacs/.local/s=
traight/build-28.2/org/ob-dot hides /usr/share/emacs/28.2/lisp/org/ob-dot<b=
r></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org=
/org-table hides /usr/share/emacs/28.2/lisp/org/org-table<br></div><div> /h=
ome/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-entities hi=
des /usr/share/emacs/28.2/lisp/org/org-entities<br></div><div> /home/doctor=
-sex/.config/emacs/.local/straight/build-28.2/org/org-clock hides /usr/shar=
e/emacs/28.2/lisp/org/org-clock<br></div><div> /home/doctor-sex/.config/ema=
cs/.local/straight/build-28.2/org/ob-makefile hides /usr/share/emacs/28.2/l=
isp/org/ob-makefile<br></div><div> /home/doctor-sex/.config/emacs/.local/st=
raight/build-28.2/org/ob-eshell hides /usr/share/emacs/28.2/lisp/org/ob-esh=
ell<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.=
2/org/ol-mhe hides /usr/share/emacs/28.2/lisp/org/ol-mhe<br></div><div> /ho=
me/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-colview hide=
s /usr/share/emacs/28.2/lisp/org/org-colview<br></div><div> /home/doctor-se=
x/.config/emacs/.local/straight/build-28.2/org/ob-calc hides /usr/share/ema=
cs/28.2/lisp/org/ob-calc<br></div><div> /home/doctor-sex/.config/emacs/.loc=
al/straight/build-28.2/org/ob-ocaml hides /usr/share/emacs/28.2/lisp/org/ob=
-ocaml<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-=
28.2/org/ob-sqlite hides /usr/share/emacs/28.2/lisp/org/ob-sqlite<br></div>=
<div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-got=
o hides /usr/share/emacs/28.2/lisp/org/org-goto<br></div><div> /home/doctor=
-sex/.config/emacs/.local/straight/build-28.2/org/org-tempo hides /usr/shar=
e/emacs/28.2/lisp/org/org-tempo<br></div><div> /home/doctor-sex/.config/ema=
cs/.local/straight/build-28.2/org/ox-org hides /usr/share/emacs/28.2/lisp/o=
rg/ox-org<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/bui=
ld-28.2/org/org-feed hides /usr/share/emacs/28.2/lisp/org/org-feed<br></div=
><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-lua=
 hides /usr/share/emacs/28.2/lisp/org/ob-lua<br></div><div> /home/doctor-se=
x/.config/emacs/.local/straight/build-28.2/org/ob-css hides /usr/share/emac=
s/28.2/lisp/org/ob-css<br></div><div> /home/doctor-sex/.config/emacs/.local=
/straight/build-28.2/org/org-macro hides /usr/share/emacs/28.2/lisp/org/org=
-macro<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-=
28.2/org/ob-octave hides /usr/share/emacs/28.2/lisp/org/ob-octave<br></div>=
<div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-fort=
ran hides /usr/share/emacs/28.2/lisp/org/ob-fortran<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-koma-letter hides =
/usr/share/emacs/28.2/lisp/org/ox-koma-letter<br></div><div> /home/doctor-s=
ex/.config/emacs/.local/straight/build-28.2/org/ob-screen hides /usr/share/=
emacs/28.2/lisp/org/ob-screen<br></div><div> /home/doctor-sex/.config/emacs=
/.local/straight/build-28.2/org/ox-latex hides /usr/share/emacs/28.2/lisp/o=
rg/ox-latex<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/b=
uild-28.2/org/ob-lob hides /usr/share/emacs/28.2/lisp/org/ob-lob<br></div><=
div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-eww h=
ides /usr/share/emacs/28.2/lisp/org/ol-eww<br></div><div> /home/doctor-sex/=
.config/emacs/.local/straight/build-28.2/org/ol-bibtex hides /usr/share/ema=
cs/28.2/lisp/org/ol-bibtex<br></div><div> /home/doctor-sex/.config/emacs/.l=
ocal/straight/build-28.2/org/ob-python hides /usr/share/emacs/28.2/lisp/org=
/ob-python<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/bu=
ild-28.2/org/ob-haskell hides /usr/share/emacs/28.2/lisp/org/ob-haskell<br>=
</div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/o=
c-biblatex hides /usr/share/emacs/28.2/lisp/org/oc-biblatex<br></div><div> =
/home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-plot hide=
s /usr/share/emacs/28.2/lisp/org/org-plot<br></div><div> /home/doctor-sex/.=
config/emacs/.local/straight/build-28.2/org/ol-gnus hides /usr/share/emacs/=
28.2/lisp/org/ol-gnus<br></div><div> /home/doctor-sex/.config/emacs/.local/=
straight/build-28.2/org/org-indent hides /usr/share/emacs/28.2/lisp/org/org=
-indent<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build=
-28.2/org/org-compat hides /usr/share/emacs/28.2/lisp/org/org-compat<br></d=
iv><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-=
footnote hides /usr/share/emacs/28.2/lisp/org/org-footnote<br></div><div> /=
home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ol-docview hid=
es /usr/share/emacs/28.2/lisp/org/ol-docview<br></div><div> /home/doctor-se=
x/.config/emacs/.local/straight/build-28.2/org/ob-table hides /usr/share/em=
acs/28.2/lisp/org/ob-table<br></div><div> /home/doctor-sex/.config/emacs/.l=
ocal/straight/build-28.2/org/ox hides /usr/share/emacs/28.2/lisp/org/ox<br>=
</div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/o=
c-csl hides /usr/share/emacs/28.2/lisp/org/oc-csl<br></div><div> /home/doct=
or-sex/.config/emacs/.local/straight/build-28.2/org/ob-julia hides /usr/sha=
re/emacs/28.2/lisp/org/ob-julia<br></div><div> /home/doctor-sex/.config/ema=
cs/.local/straight/build-28.2/org/ob-scheme hides /usr/share/emacs/28.2/lis=
p/org/ob-scheme<br></div><div> /home/doctor-sex/.config/emacs/.local/straig=
ht/build-28.2/org/org-duration hides /usr/share/emacs/28.2/lisp/org/org-dur=
ation<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-2=
8.2/org/org-src hides /usr/share/emacs/28.2/lisp/org/org-src<br></div><div>=
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-lint hid=
es /usr/share/emacs/28.2/lisp/org/org-lint<br></div><div> /home/doctor-sex/=
.config/emacs/.local/straight/build-28.2/org/ob-lisp hides /usr/share/emacs=
/28.2/lisp/org/ob-lisp<br></div><div> /home/doctor-sex/.config/emacs/.local=
/straight/build-28.2/org/ob-awk hides /usr/share/emacs/28.2/lisp/org/ob-awk=
<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/o=
rg/ox-md hides /usr/share/emacs/28.2/lisp/org/ox-md<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/org/ox-publish hides /usr=
/share/emacs/28.2/lisp/org/ox-publish<br></div><div> /home/doctor-sex/.conf=
ig/emacs/.local/straight/build-28.2/org/ol-info hides /usr/share/emacs/28.2=
/lisp/org/ol-info<br></div><div> /home/doctor-sex/.config/emacs/.local/stra=
ight/build-28.2/org/ol-w3m hides /usr/share/emacs/28.2/lisp/org/ol-w3m<br><=
/div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob=
-exp hides /usr/share/emacs/28.2/lisp/org/ob-exp<br></div><div> /home/docto=
r-sex/.config/emacs/.local/straight/build-28.2/org/ob-sql hides /usr/share/=
emacs/28.2/lisp/org/ob-sql<br></div><div> /home/doctor-sex/.config/emacs/.l=
ocal/straight/build-28.2/org/ox-ascii hides /usr/share/emacs/28.2/lisp/org/=
ox-ascii<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/buil=
d-28.2/org/ob-ruby hides /usr/share/emacs/28.2/lisp/org/ob-ruby<br></div><d=
iv> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sass h=
ides /usr/share/emacs/28.2/lisp/org/ob-sass<br></div><div> /home/doctor-sex=
/.config/emacs/.local/straight/build-28.2/org/org-id hides /usr/share/emacs=
/28.2/lisp/org/org-id<br></div><div> /home/doctor-sex/.config/emacs/.local/=
straight/build-28.2/org/org-crypt hides /usr/share/emacs/28.2/lisp/org/org-=
crypt<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-2=
8.2/org/org hides /usr/share/emacs/28.2/lisp/org/org<br></div><div> /home/d=
octor-sex/.config/emacs/.local/straight/build-28.2/org/org-attach-git hides=
 /usr/share/emacs/28.2/lisp/org/org-attach-git<br></div><div> /home/doctor-=
sex/.config/emacs/.local/straight/build-28.2/org/ob-emacs-lisp hides /usr/s=
hare/emacs/28.2/lisp/org/ob-emacs-lisp<br></div><div> /home/doctor-sex/.con=
fig/emacs/.local/straight/build-28.2/org/ob-clojure hides /usr/share/emacs/=
28.2/lisp/org/ob-clojure<br></div><div> /home/doctor-sex/.config/emacs/.loc=
al/straight/build-28.2/org/ox-texinfo hides /usr/share/emacs/28.2/lisp/org/=
ox-texinfo<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/bu=
ild-28.2/org/org-refile hides /usr/share/emacs/28.2/lisp/org/org-refile<br>=
</div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/o=
rg-capture hides /usr/share/emacs/28.2/lisp/org/org-capture<br></div><div> =
/home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-sed hides =
/usr/share/emacs/28.2/lisp/org/ob-sed<br></div><div> /home/doctor-sex/.conf=
ig/emacs/.local/straight/build-28.2/org/ob-js hides /usr/share/emacs/28.2/l=
isp/org/ob-js<br></div><div> /home/doctor-sex/.config/emacs/.local/straight=
/build-28.2/org/ob-matlab hides /usr/share/emacs/28.2/lisp/org/ob-matlab<br=
></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/=
org-keys hides /usr/share/emacs/28.2/lisp/org/org-keys<br></div><div> /home=
/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-protocol hides=
 /usr/share/emacs/28.2/lisp/org/org-protocol<br></div><div> /home/doctor-se=
x/.config/emacs/.local/straight/build-28.2/org/ob-forth hides /usr/share/em=
acs/28.2/lisp/org/ob-forth<br></div><div> /home/doctor-sex/.config/emacs/.l=
ocal/straight/build-28.2/org/ob-plantuml hides /usr/share/emacs/28.2/lisp/o=
rg/ob-plantuml<br></div><div> /home/doctor-sex/.config/emacs/.local/straigh=
t/build-28.2/org/ob-lilypond hides /usr/share/emacs/28.2/lisp/org/ob-lilypo=
nd<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2=
/org/ob-perl hides /usr/share/emacs/28.2/lisp/org/ob-perl<br></div><div> /h=
ome/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-archive hid=
es /usr/share/emacs/28.2/lisp/org/org-archive<br></div><div> /home/doctor-s=
ex/.config/emacs/.local/straight/build-28.2/org/ol-man hides /usr/share/ema=
cs/28.2/lisp/org/ol-man<br></div><div> /home/doctor-sex/.config/emacs/.loca=
l/straight/build-28.2/org/ox-beamer hides /usr/share/emacs/28.2/lisp/org/ox=
-beamer<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build=
-28.2/org/org-timer hides /usr/share/emacs/28.2/lisp/org/org-timer<br></div=
><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-lo=
addefs hides /usr/share/emacs/28.2/lisp/org/org-loaddefs<br></div><div> /ho=
me/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-num hides /u=
sr/share/emacs/28.2/lisp/org/org-num<br></div><div> /home/doctor-sex/.confi=
g/emacs/.local/straight/build-28.2/org/ob-eval hides /usr/share/emacs/28.2/=
lisp/org/ob-eval<br></div><div> /home/doctor-sex/.config/emacs/.local/strai=
ght/build-28.2/org/ob-ref hides /usr/share/emacs/28.2/lisp/org/ob-ref<br></=
div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-=
latex hides /usr/share/emacs/28.2/lisp/org/ob-latex<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/org/org-mouse hides /usr/=
share/emacs/28.2/lisp/org/org-mouse<br></div><div> /home/doctor-sex/.config=
/emacs/.local/straight/build-28.2/org/ox-icalendar hides /usr/share/emacs/2=
8.2/lisp/org/ox-icalendar<br></div><div> /home/doctor-sex/.config/emacs/.lo=
cal/straight/build-28.2/org/ob-ditaa hides /usr/share/emacs/28.2/lisp/org/o=
b-ditaa<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build=
-28.2/org/ol-doi hides /usr/share/emacs/28.2/lisp/org/ol-doi<br></div><div>=
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-attach h=
ides /usr/share/emacs/28.2/lisp/org/org-attach<br></div><div> /home/doctor-=
sex/.config/emacs/.local/straight/build-28.2/org/ob-comint hides /usr/share=
/emacs/28.2/lisp/org/ob-comint<br></div><div> /home/doctor-sex/.config/emac=
s/.local/straight/build-28.2/org/org-agenda hides /usr/share/emacs/28.2/lis=
p/org/org-agenda<br></div><div> /home/doctor-sex/.config/emacs/.local/strai=
ght/build-28.2/org/ol-rmail hides /usr/share/emacs/28.2/lisp/org/ol-rmail<b=
r></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org=
/org-inlinetask hides /usr/share/emacs/28.2/lisp/org/org-inlinetask<br></di=
v><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/ob-ta=
ngle hides /usr/share/emacs/28.2/lisp/org/ob-tangle<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/org/org-faces hides /usr/=
share/emacs/28.2/lisp/org/org-faces<br></div><div> /home/doctor-sex/.config=
/emacs/.local/straight/build-28.2/org/ob-maxima hides /usr/share/emacs/28.2=
/lisp/org/ob-maxima<br></div><div> /home/doctor-sex/.config/emacs/.local/st=
raight/build-28.2/org/ob-processing hides /usr/share/emacs/28.2/lisp/org/ob=
-processing<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/b=
uild-28.2/org/ob-R hides /usr/share/emacs/28.2/lisp/org/ob-R<br></div><div>=
 /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-list hid=
es /usr/share/emacs/28.2/lisp/org/org-list<br></div><div> /home/doctor-sex/=
.config/emacs/.local/straight/build-28.2/org/org-macs hides /usr/share/emac=
s/28.2/lisp/org/org-macs<br></div><div> /home/doctor-sex/.config/emacs/.loc=
al/straight/build-28.2/org/ob-org hides /usr/share/emacs/28.2/lisp/org/ob-o=
rg<br></div><div> /home/doctor-sex/.config/emacs/.local/straight/build-28.2=
/org/ob-gnuplot hides /usr/share/emacs/28.2/lisp/org/ob-gnuplot<br></div><d=
iv> /home/doctor-sex/.config/emacs/.local/straight/build-28.2/org/org-versi=
on hides /usr/share/emacs/28.2/lisp/org/org-version<br></div><div> /home/do=
ctor-sex/.config/emacs/.local/straight/build-28.2/map/map hides /usr/share/=
emacs/28.2/lisp/emacs-lisp/map<br></div><div> <br></div><div> Features:<br>=
</div><div> (shadow disp-table whitespace vi-tilde-fringe display-line-numb=
ers<br></div><div> highlight-indent-guides adaptive-wrap auto-minor-mode sa=
veplace so-long<br></div><div> emacsbug vertico-directory magit-todos pcre2=
el rxt re-builder hl-todo<br></div><div> async magit-bookmark magit-autoloa=
ds magit-submodule magit-obsolete<br></div><div> magit-popup magit-blame ma=
git-stash magit-reflog magit-bisect magit-push<br></div><div> magit-pull ma=
git-fetch magit-clone magit-remote magit-commit<br></div><div> magit-sequen=
ce magit-notes magit-worktree magit-tag magit-merge<br></div><div> magit-br=
anch magit-reset magit-files magit-refs magit-status magit<br></div><div> m=
agit-repos magit-apply magit-wip magit-log which-func magit-diff<br></div><=
div> smerge-mode diff magit-core magit-autorevert magit-margin<br></div><di=
v> magit-transient magit-process magit-mode git-commit magit-git magit-base=
<br></div><div> magit-section crm compat-27 compat-26 transient log-edit pc=
vs-util<br></div><div> add-log with-editor flycheck-popup-tip popup consult=
-flycheck<br></div><div> consult-vertico consult compat-28 compat recentf s=
hell f f-shortdoc<br></div><div> shortdoc doom-snippets doom-snippets-lib y=
asnippet elisp-mode<br></div><div> cursor-sensor vertico-repeat which-key s=
avehist better-jumper<br></div><div> company-capf company vertico orderless=
 marginalia etags fileloop xref<br></div><div> volatile-highlights tree-wid=
get nav-flash pulse gcmh winner<br></div><div> smartparens-config smartpare=
ns-text smartparens ws-butler emojify<br></div><div> apropos tar-mode arc-m=
ode archive-mode undo-fu-session undo-fu<br></div><div> autorevert filenoti=
fy persp-mode dtrt-indent doom-themes-ext-neotree<br></div><div> doom-theme=
s-ext-org solaire-mode face-remap monochrome-theme wand<br></div><div> wand=
-helper cl exwm-randr xcb-randr exwm exwm-input xcb-keysyms xcb-xkb<br></di=
v><div> exwm-manage exwm-floating xcb-cursor xcb-render exwm-layout<br></di=
v><div> exwm-workspace exwm-core xcb-ewmh xcb-icccm xcb xcb-xproto xcb-type=
s<br></div><div> xcb-debug server dot-mode god-mode mu4e-alert advice time =
ht s alert<br></div><div> log4e notifications gntp org-msg color ox-odt rng=
-loc rng-uri rng-parse<br></div><div> rng-match rng-dt rng-util rng-pttrn n=
xml-parse nxml-ns nxml-enc xmltok<br></div><div> nxml-util ox-latex ox-ical=
endar org-agenda ox-ascii ox-md ox-html table<br></div><div> ox-publish ox =
htmlize gnus-msg gnus-icalendar org-capture icalendar<br></div><div> diary-=
lib diary-loaddefs gnus-dired gnus-cite all-the-icons<br></div><div> all-th=
e-icons-faces data-material data-weathericons data-octicons<br></div><div> =
data-fileicons data-faicons data-alltheicons mu4e mu4e-org<br></div><div> s=
martparens-org org-yt org-element org-persist xdg org-id org-refile<br></di=
v><div> avl-tree generator org ob ob-tangle ob-ref ob-lob ob-table ob-exp<b=
r></div><div> org-macro org-footnote org-src ob-comint org-pcomplete pcompl=
ete<br></div><div> org-list org-faces org-entities noutline outline ob-emac=
s-lisp ob-core<br></div><div> ob-eval org-cycle org-table ol org-fold org-f=
old-core org-keys oc<br></div><div> org-loaddefs org-version org-compat org=
-macs format-spec mu4e-main<br></div><div> mu4e-view gnus-art mm-uu mml2015=
 mm-view mml-smime smime dig gnus-sum<br></div><div> gnus-group gnus-undo g=
nus-start gnus-dbus dbus vc-hg vc-git diff-mode<br></div><div> vc-svn vc vc=
-dispatcher project gnus-cloud nnimap nnmail mail-source<br></div><div> utf=
7 netrc nnoo parse-time iso8601 gnus-spec gnus-int gnus-range<br></div><div=
> gnus-win gnus nnheader wid-edit cal-menu calendar cal-loaddefs<br></div><=
div> mu4e-headers mu4e-compose mu4e-draft mu4e-actions smtpmail sendmail<br=
></div><div> mu4e-search mu4e-lists mu4e-bookmarks mu4e-mark mu4e-message s=
hr kinsoku<br></div><div> svg xml dom flow-fill mule-util hl-line mu4e-cont=
acts mu4e-update<br></div><div> mu4e-folders mu4e-server mu4e-context mu4e-=
vars mu4e-helpers bookmark<br></div><div> ido message rmc puny dired dired-=
loaddefs rfc822 mml mml-sec epa derived<br></div><div> epg rfc6068 epg-conf=
ig gnus-util rmail rmail-loaddefs time-date<br></div><div> mm-decode mm-bod=
ies mm-encode mailabbrev mail-utils gmm-utils mailheader<br></div><div> fee=
bleline use-package-ensure xmobar delsel projectile grep compile<br></div><=
div> text-property-search comint ring ibuf-ext ibuffer ibuffer-loaddefs<br>=
</div><div> thingatpt mu4e-config html2text flycheck-package package-lint i=
menu<br></div><div> finder finder-inf lisp-mnt mail-parse rfc2231 rfc2047 r=
fc2045 mm-util<br></div><div> ietf-drums mail-prsvr doom-packages package b=
rowse-url url url-proxy<br></div><div> url-privacy url-expand url-methods u=
rl-history url-cookie url-domsuf<br></div><div> url-util mailcap url-handle=
rs url-parse auth-source eieio eieio-core<br></div><div> eieio-loaddefs pas=
sword-cache url-vars flycheck-clj-kondo flycheck<br></div><div> ansi-color =
json map find-func dash let-alist use-package-bind-key<br></div><div> bind-=
key edmacro kmacro doom-editor doom-projects doom-ui easy-mmode<br></div><d=
iv> doom-keybinds pp cl-extra help-mode seq byte-opt use-package-core<br></=
div><div> bytecomp byte-compile cconv general rx doom-start doom-modules cl=
-seq<br></div><div> doom doom-lib cl-macs gv cl-loaddefs cl-lib pcase janss=
on<br></div><div> dynamic-modules subr-x iso-transl tooltip eldoc paren ele=
ctric uniquify<br></div><div> ediff-hook vc-hooks lisp-float-type mwheel te=
rm/x-win x-win<br></div><div> term/common-win x-dnd tool-bar dnd fontset im=
age regexp-opt fringe<br></div><div> tabulated-list replace newcomment text=
-mode prog-mode register page<br></div><div> tab-bar menu-bar rfn-eshadow i=
search easymenu timer select scroll-bar<br></div><div> mouse jit-lock font-=
lock syntax font-core term/tty-colors frame<br></div><div> minibuffer cl-ge=
neric cham georgian utf-8-lang misc-lang vietnamese<br></div><div> tibetan =
thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek<br></div><d=
iv> romanian slovak czech european ethiopic indian cyrillic chinese<br></di=
v><div> composite emoji-zwj charscript charprop case-table epa-hook<br></di=
v><div> jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice butto=
n<br></div><div> loaddefs faces cus-face macroexp files window text-propert=
ies overlay<br></div><div> sha1 md5 base64 format env code-pages mule custo=
m widget<br></div><div> hashtable-print-readable backquote threads dbusbind=
 inotify lcms2<br></div><div> dynamic-setting system-font-setting font-rend=
er-setting cairo<br></div><div> move-toolbar gtk x-toolkit x multi-tty make=
-network-process emacs)<br></div><div> <br></div><div> Memory information:<=
br></div><div> ((conses 16 679894 524641)<br></div><div> &nbsp;(symbols 48 =
77657 59)<br></div><div> &nbsp;(strings 32 249322 47472)<br></div><div> &nb=
sp;(string-bytes 1 7094149)<br></div><div> &nbsp;(vectors 16 138835)<br></d=
iv><div> &nbsp;(vector-slots 8 3821957 352725)<br></div><div> &nbsp;(floats=
 8 1072 2322)<br></div><div> &nbsp;(intervals 56 5730 2533)<br></div><div> =
&nbsp;(buffers 992 16))<br></div><div> <br></div><p></p><div>mandato con Tu=
tanota. perdonate la mia non-professionalit=C3=A0.<br></div><div>sent with =
Tutanota. Please forgive my lack of professionality.&nbsp;<br></div><div><b=
r></div><div>[[to any NSA and FBI agents reading my emails: please consider=
 the following:]]<br></div><div>[[defending the US constitution against all=
 enemies requires you to follow <a href=3D"https://en.wikipedia.org/wiki/Ed=
ward_Snowden" rel=3D"noopener noreferrer" target=3D"_blank">Edward Snowden<=
/a>'s example ]]<br></div>  </body>
</html>

------=_Part_39950_1158401541.1666631220366--




Acknowledgement sent to Marco <purity.piped@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#58767; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 28 Oct 2022 08:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.